commit calibre for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package calibre for openSUSE:Factory checked 
in at 2016-06-05 14:20:58

Comparing /work/SRC/openSUSE:Factory/calibre (Old)
 and  /work/SRC/openSUSE:Factory/.calibre.new (New)


Package is "calibre"

Changes:

--- /work/SRC/openSUSE:Factory/calibre/calibre.changes  2016-05-26 
23:54:26.0 +0200
+++ /work/SRC/openSUSE:Factory/.calibre.new/calibre.changes 2016-06-05 
14:20:59.0 +0200
@@ -1,0 +2,12 @@
+Fri Jun  3 09:38:08 UTC 2016 - corne...@solcon.nl
+
+- Update to 2.58.0:
+  * For details see http://calibre-ebook.com/whats-new
+
+---
+Thu Jun  2 11:10:44 UTC 2016 - corne...@solcon.nl
+
+- Replace Build and BuildRequires python-imaging with python-Pillow,
+  which has long replaced python-imaging.
+
+---

Old:

  calibre-2.57.1.tar.xz

New:

  calibre-2.58.0.tar.xz



Other differences:
--
++ calibre.spec ++
--- /var/tmp/diff_new_pack.GTDbR1/_old  2016-06-05 14:21:01.0 +0200
+++ /var/tmp/diff_new_pack.GTDbR1/_new  2016-06-05 14:21:01.0 +0200
@@ -20,7 +20,7 @@
 License:GPL-3.0
 Group:  Productivity/Other
 Name:   calibre
-Version:2.57.1
+Version:2.58.0
 Release:0
 Url:http://calibre-ebook.com
 Source0:
http://download.calibre-ebook.com/%{version}/calibre-%{version}.tar.xz
@@ -58,6 +58,7 @@
 BuildRequires:  libpoppler-devel >= 0.20.2
 BuildRequires:  libwmf-devel >= 0.2.8
 BuildRequires:  poppler-tools
+BuildRequires:  python-Pillow
 BuildRequires:  python-apsw
 BuildRequires:  python-beautifulsoup >= 3.0.5
 BuildRequires:  python-cherrypy
@@ -67,7 +68,6 @@
 BuildRequires:  python-devel >= 2.7.9
 BuildRequires:  python-dnspython >= 1.6.0
 BuildRequires:  python-genshi
-BuildRequires:  python-imaging >= 1.1.6
 BuildRequires:  python-lxml >= 3.2.1
 BuildRequires:  python-mechanize >= 0.1.11
 BuildRequires:  python-netifaces
@@ -93,6 +93,7 @@
 %if 0%{?suse_version} > 1320 
 Requires:   python-Pygments >= 2.0.1
 %endif
+Requires:   python-Pillow
 Requires:   python-apsw
 Requires:   python-beautifulsoup >= 3.0.5
 Requires:   python-cherrypy
@@ -101,7 +102,6 @@
 Requires:   python-dateutil >= 1.4.1
 Requires:   python-dnspython >= 1.6.0
 Requires:   python-genshi
-Requires:   python-imaging >= 1.1.6
 Requires:   python-lxml >= 3.2.1
 Requires:   python-mechanize >= 0.1.11
 Requires:   python-netifaces

++ calibre-2.57.1.tar.xz -> calibre-2.58.0.tar.xz ++
/work/SRC/openSUSE:Factory/calibre/calibre-2.57.1.tar.xz 
/work/SRC/openSUSE:Factory/.calibre.new/calibre-2.58.0.tar.xz differ: char 27, 
line 1




commit perl-Eval-Closure for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package perl-Eval-Closure for 
openSUSE:Factory checked in at 2016-06-05 14:20:56

Comparing /work/SRC/openSUSE:Factory/perl-Eval-Closure (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Eval-Closure.new (New)


Package is "perl-Eval-Closure"

Changes:

--- /work/SRC/openSUSE:Factory/perl-Eval-Closure/perl-Eval-Closure.changes  
2015-05-15 07:44:39.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Eval-Closure.new/perl-Eval-Closure.changes 
2016-06-05 14:20:58.0 +0200
@@ -1,0 +2,9 @@
+Tue May 31 10:19:17 UTC 2016 - co...@suse.com
+
+- updated to 0.14
+   see /usr/share/doc/packages/perl-Eval-Closure/Changes
+
+  0.14  2016-05-29
+- a couple minor optimizations (dolmen, #8)
+
+---

Old:

  Eval-Closure-0.13.tar.gz

New:

  Eval-Closure-0.14.tar.gz



Other differences:
--
++ perl-Eval-Closure.spec ++
--- /var/tmp/diff_new_pack.eKQ0KZ/_old  2016-06-05 14:20:58.0 +0200
+++ /var/tmp/diff_new_pack.eKQ0KZ/_new  2016-06-05 14:20:58.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Eval-Closure
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Eval-Closure
-Version:0.13
+Version:0.14
 Release:0
 %define cpan_name Eval-Closure
 Summary:Safely and Cleanly Create Closures Via String Eval
@@ -33,8 +33,6 @@
 BuildRequires:  perl(Test::Fatal)
 BuildRequires:  perl(Test::More) >= 0.88
 BuildRequires:  perl(Test::Requires)
-BuildRequires:  perl(Try::Tiny)
-Requires:   perl(Try::Tiny)
 Recommends: perl(Devel::LexAlias) >= 0.05
 Recommends: perl(Perl::Tidy)
 %{perl_requires}

++ Eval-Closure-0.13.tar.gz -> Eval-Closure-0.14.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Eval-Closure-0.13/Changes 
new/Eval-Closure-0.14/Changes
--- old/Eval-Closure-0.13/Changes   2015-05-12 06:54:59.0 +0200
+++ new/Eval-Closure-0.14/Changes   2016-05-29 06:43:10.0 +0200
@@ -1,5 +1,8 @@
 Revision history for Eval-Closure
 
+0.14  2016-05-29
+  - a couple minor optimizations (dolmen, #8)
+
 0.13  2015-05-12
   - one more fix for blead (eserte, jplesnik, #6)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Eval-Closure-0.13/LICENSE 
new/Eval-Closure-0.14/LICENSE
--- old/Eval-Closure-0.13/LICENSE   2015-05-12 06:54:59.0 +0200
+++ new/Eval-Closure-0.14/LICENSE   2016-05-29 06:43:10.0 +0200
@@ -1,4 +1,4 @@
-This software is copyright (c) 2015 by Jesse Luehrs.
+This software is copyright (c) 2016 by Jesse Luehrs.
 
 This is free software; you can redistribute it and/or modify it under
 the same terms as the Perl 5 programming language system itself.
@@ -12,7 +12,7 @@
 
 --- The GNU General Public License, Version 1, February 1989 ---
 
-This software is Copyright (c) 2015 by Jesse Luehrs.
+This software is Copyright (c) 2016 by Jesse Luehrs.
 
 This is free software, licensed under:
 
@@ -272,7 +272,7 @@
 
 --- The Artistic License 1.0 ---
 
-This software is Copyright (c) 2015 by Jesse Luehrs.
+This software is Copyright (c) 2016 by Jesse Luehrs.
 
 This is free software, licensed under:
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Eval-Closure-0.13/MANIFEST 
new/Eval-Closure-0.14/MANIFEST
--- old/Eval-Closure-0.13/MANIFEST  2015-05-12 06:54:59.0 +0200
+++ new/Eval-Closure-0.14/MANIFEST  2016-05-29 06:43:10.0 +0200
@@ -1,4 +1,4 @@
-# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v5.032.
+# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.005.
 Changes
 LICENSE
 MANIFEST
@@ -19,7 +19,7 @@
 t/errors.t
 t/lexical-subs.t
 t/memoize.t
+xt/author/no-tabs.t
+xt/author/pod-coverage.t
+xt/author/pod-syntax.t
 xt/release/eol.t
-xt/release/no-tabs.t
-xt/release/pod-coverage.t
-xt/release/pod-syntax.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Eval-Closure-0.13/META.json 
new/Eval-Closure-0.14/META.json
--- old/Eval-Closure-0.13/META.json 2015-05-12 06:54:59.0 +0200
+++ new/Eval-Closure-0.14/META.json 2016-05-29 06:43:10.0 +0200
@@ -4,13 +4,13 @@
   "Jesse Luehrs "
],
"dynamic_config" : 0,
-   "generated_by" : "Dist::Zilla version 5.032, 

commit inst-source-utils for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package inst-source-utils for 
openSUSE:Factory checked in at 2016-06-05 14:20:26

Comparing /work/SRC/openSUSE:Factory/inst-source-utils (Old)
 and  /work/SRC/openSUSE:Factory/.inst-source-utils.new (New)


Package is "inst-source-utils"

Changes:

--- /work/SRC/openSUSE:Factory/inst-source-utils/inst-source-utils.changes  
2015-12-13 09:39:34.0 +0100
+++ /work/SRC/openSUSE:Factory/.inst-source-utils.new/inst-source-utils.changes 
2016-06-05 14:20:28.0 +0200
@@ -1,0 +2,7 @@
+Mon May  2 17:46:57 CEST 2016 - r...@suse.de
+
+- RPMQ: add infrastructure for HEADERSTART and EXTRA
+- create_package_descr: use infrastucture to allow running with
+  only rpm headers instead of full rpms (bnc#978085) 
+
+---



Other differences:
--
++ inst-source-utils.spec ++
--- /var/tmp/diff_new_pack.CBVocO/_old  2016-06-05 14:20:29.0 +0200
+++ /var/tmp/diff_new_pack.CBVocO/_new  2016-06-05 14:20:29.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package inst-source-utils
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -20,7 +20,7 @@
 Summary:Utilities for creating customized installation sources
 License:GPL-2.0+
 Group:  System/YaST
-Version:2015.12.9
+Version:2016.5.2
 Release:0
 Url:http://en.opensuse.org/Inst-source-utils
 BuildArch:  noarch

++ inst-source-utils.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/inst-source-utils/usr/bin/create_package_descr 
new/inst-source-utils/usr/bin/create_package_descr
--- old/inst-source-utils/usr/bin/create_package_descr  2015-12-09 
15:58:20.0 +0100
+++ new/inst-source-utils/usr/bin/create_package_descr  2016-05-02 
17:44:32.0 +0200
@@ -73,6 +73,7 @@
 my $extra_provides = "";
 my $extra_tags = "";
 my $with_links = "";
+my $use_headers = "0";
 
 my %xprovlist;
 my %xreqlist;
@@ -103,7 +104,8 @@
 print "   [-K ] (do_keywords)\n";
 print "   [-F ] (do_file_list)\n";
 print "   [-B ] (add requires for src 
packages)\n\n";
-print "   [-Q ] (never use Shr tags)\n\n";
+print "   [-Q ] (never use Shr tags)\n";
+print "   [-H ] (Use headers)\n\n";
print "   Note: the -T option allows to add additional tags to 
the\n";
print " resulting packages file.\n";
print " The file should contain the package name, a colon 
and\n";
@@ -146,6 +148,7 @@
   elsif ( $arg eq "-C" ) { $do_checksums = "1"; }
   elsif ( $arg eq "-D" ) { $do_checksums = "1";  $do_sha256 = "1"; 
$checksum_binary = "sha256sum"; }
   elsif ( $arg eq "-F" ) { $do_file_list = 1; }
+  elsif ( $arg eq "-H" ) { $use_headers = 1; }
   elsif ( $arg eq "-I" ) { $ignore_file = shift @ARGV ; }
   elsif ( $arg eq "-K" ) { $do_keywords = "1"; }
   elsif ( $arg eq "-L" ) { $ignore_symlinks = "1"; }
@@ -288,7 +291,7 @@
chomp ( $filespec );
$filespec =~ /\/([^\/]*)$/;
my $filename = $1;
-   my $filesize = stat($filespec)->size;
+   my $filesize;
# name, version, release, arch, obsolete, requires, provides,
# conflicts, copyright, group, buildtime, size, sourcerpm
my %res = RPMQ::rpmq_many("$package", 1000, 1001, 1002, 1022,
@@ -301,12 +304,15 @@
  1027, 1116, 1117, 1118, 1030, 1028, 
1095, 1096,
  1014, 1016, 1006, 1009, 1044, 1004, 
1005, 1011, 1124,
  5046, 5047, 5048, 5049, 5050, 5051,
- 5052, 5053, 5054, 5055, 5056, 5057,
+ 5052, 5053, 5054, 5055, 5056, 5057, 
"HEADERSTART", "SIGTAG_SIZE", "EXTRA"
);
 
# skip delta rpms (if PAYLOADFORMAT eq drpm)
next if ($res{1124}[0] && $res{1124}[0] eq "drpm");
#
+   my $data = $res{"SIGTAG_SIZE"}[0];
+   my $header = $res{"HEADERSTART"}[0];
+
my @depexcl = $res{1054};
my @prereq = rpmq_add_req_flagsvers(\%res, 1049, 1048, 1050); # requires
RPMQ::rpmq_add_flagsvers(\%res, 1047, 1112, 1113); # provides
@@ -339,9 +345,14 @@
my $file_arch;
my %pacdata;
 
+   if ( $use_headers eq "1" ){
+  $filesize = $res{'EXTRA'}[0]{size};
+   } else {
+  

commit labplot-kf5 for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package labplot-kf5 for openSUSE:Factory 
checked in at 2016-06-05 14:20:40

Comparing /work/SRC/openSUSE:Factory/labplot-kf5 (Old)
 and  /work/SRC/openSUSE:Factory/.labplot-kf5.new (New)


Package is "labplot-kf5"

Changes:

--- /work/SRC/openSUSE:Factory/labplot-kf5/labplot-kf5.changes  2015-11-12 
19:40:21.0 +0100
+++ /work/SRC/openSUSE:Factory/.labplot-kf5.new/labplot-kf5.changes 
2016-06-05 14:20:42.0 +0200
@@ -1,0 +2,15 @@
+Sun May  8 10:58:41 UTC 2016 - badshah...@gmail.com
+
+- Add labplot-kf5-gcc5-isnan.patch: Replace isnan by std::isnan
+  to fix building with gcc5.
+
+---
+Wed May  4 05:06:30 UTC 2016 - mailaen...@opensuse.org
+
+- Update to version 2.2.0
+  * Added the DataPicker which converts input graph (images) into numbers.
+  * A new custom point was implemented
+  * LabPlot now acccepts now drag
+  * Rendering of the image view of the matrix recieved a speed up
+
+---

Old:

  labplot-kf5-2.1.0.tar.xz

New:

  labplot-2.2.0-kf5.tar.xz
  labplot-kf5-gcc5-isnan.patch



Other differences:
--
++ labplot-kf5.spec ++
--- /var/tmp/diff_new_pack.pPanPT/_old  2016-06-05 14:20:43.0 +0200
+++ /var/tmp/diff_new_pack.pPanPT/_new  2016-06-05 14:20:43.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package labplot-kf5
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,15 +17,22 @@
 
 
 Name:   labplot-kf5
-Version:2.1.0
+Version:2.2.0
 Release:0
-Summary:KDE Frameworosk 5 data analysis and visualization application
+Summary:KDE Framework 5 data analysis and visualization application
 License:GPL-2.0+
 Group:  Productivity/Scientific/Other
 Url:https://edu.kde.org/applications/science/labplot/
-Source: 
http://download.kde.org/stable/labplot/%{version}/src/%{name}-%{version}.tar.xz
+Source: 
http://download.kde.org/stable/labplot/%{version}/labplot-%{version}-kf5.tar.xz
+# PATCH-FIX-UPSTREAM labplot-kf5-gcc5-isnan.patch badshah...@gmail.com -- 
Replace isnan by std::isnan to fix building with gcc5
+Patch0: labplot-kf5-gcc5-isnan.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  extra-cmake-modules
 BuildRequires:  fdupes
+BuildRequires:  hdf5-devel
+BuildRequires:  hicolor-icon-theme
+BuildRequires:  kf5-filesystem
+BuildRequires:  update-desktop-files
 BuildRequires:  cmake(KF5Archive)
 BuildRequires:  cmake(KF5I18n)
 BuildRequires:  cmake(KF5KDE4Support)
@@ -41,11 +48,6 @@
 BuildRequires:  pkgconfig(netcdf)
 BuildRequires:  pkgconfig(shared-mime-info)
 BuildRequires:  pkgconfig(zlib)
-BuildRequires:  extra-cmake-modules
-BuildRequires:  hdf5-devel
-BuildRequires:  hicolor-icon-theme
-BuildRequires:  kf5-filesystem
-BuildRequires:  update-desktop-files
 Conflicts:  labplot
 
 %lang_package
@@ -60,7 +62,10 @@
 This version is based on KDE Frameworks 5
 
 %prep
-%setup -q
+%setup -q -n labplot-%{version}-kf5
+%if 0%{?suse_version} > 1320
+%patch0 -p1
+%endif
 
 %build
 %cmake_kf5 -d build
@@ -105,6 +110,8 @@
 
 %files lang -f labplot2.lang
 %defattr(-,root,root,-)
+%{_kf5_htmldir}/*/labplot2/
+%{_kf5_htmldir}/pt_BR/
 ## These belong in the main package
 %exclude %{_kf5_htmldir}/en/labplot2/
 

++ labplot-kf5-gcc5-isnan.patch ++
Index: labplot-2.2.0-kf5/src/backend/analysis/StatisticsFilter.cpp
===
--- labplot-2.2.0-kf5.orig/src/backend/analysis/StatisticsFilter.cpp
+++ labplot-2.2.0-kf5/src/backend/analysis/StatisticsFilter.cpp
@@ -148,7 +148,7 @@ void StatisticsFilter::inputDataChanged(
// iterate over all rows, determining first_valid_row, last_valid_row, 
N, min, max and sum
for (int row = 0; row <= column->rowCount(); row++) {
double val = m_inputs.at(port)->valueAt(row);
-   if (isnan(val)) continue;
+   if (std::isnan(val)) continue;
if (s->first_valid_row == -1) s->first_valid_row = row;
s->last_valid_row = row;
s->N++;
@@ -167,7 +167,7 @@ void StatisticsFilter::inputDataChanged(
s->variance = 0;
for (int row = 0; row <= column->rowCount(); row++) {
double val = column->valueAt(row);
-   if (isnan(val)) continue;
+   if (std::isnan(val)) continue;
   

commit focuswriter for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package focuswriter for openSUSE:Factory 
checked in at 2016-06-05 14:20:37

Comparing /work/SRC/openSUSE:Factory/focuswriter (Old)
 and  /work/SRC/openSUSE:Factory/.focuswriter.new (New)


Package is "focuswriter"

Changes:

New Changes file:

--- /dev/null   2016-04-07 01:36:33.300037506 +0200
+++ /work/SRC/openSUSE:Factory/.focuswriter.new/focuswriter.changes 
2016-06-05 14:20:38.0 +0200
@@ -0,0 +1,28 @@
+---
+Tue May  3 16:44:41 UTC 2016 - mplus...@suse.com
+
+- Cleanup spec file
+  * use pkgconfig style dependencies
+  * drop non openSUSE conditionals
+  * use qmake5 macro
+- Use url for source
+
+---
+Tue Sep  8 00:00:00 CEST 2015 - dste...@suse.cz
+
+- version 1.5.5
+  * Added support for pasting RTF in Windows
+  * Switched back to dynamic builds for Windows
+  * Updated dictionaries
+  * FIXED: Themes did not always forget changes
+  * FIXED: Treated every paragraph as a scene when divider is empty
+  * FIXED: Switched tabs during autosave
+  * FIXED: Allowed pasting and saving invalid null character
+  * Translation updates: Catalan, Esperanto, Lithuanian, Portuguese (Brazil)
+
+---
+Mon Aug 31 00:00:00 CEST 2015 - dste...@suse.cz
+
+- initial import to editors, version 1.5.4
+  - minor cleanups in spec file
+  - old changes file renamed

New:

  focuswriter-1.5.5-src.tar.bz2
  focuswriter.changes
  focuswriter.spec



Other differences:
--
++ focuswriter.spec ++
#
# spec file for package focuswriter
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Graeme Gott 
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   focuswriter
Version:1.5.5
Release:0
Summary:A fullscreen, distraction-free writing program
License:GPL-3.0+
Group:  Productivity/Office/Word Processor
Url:http://gottcode.org/focuswriter
Source: http://gottcode.org/focuswriter/%{name}-%{version}-src.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(zlib)
Requires(post): hicolor-icon-theme
Requires(post): update-desktop-files
Requires(postun): hicolor-icon-theme
Requires(postun): update-desktop-files
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
A fullscreen, distraction-free writing program. You can customize your
environment by changing the font, colors, and background image to add
ambiance as you type. FocusWriter features an on-the-fly updating word
count, optional auto-save, optional daily goals, and an interface that
hides away to allow you to focus more clearly; additionally, when you open
the program your current work-in-progress will automatically load and
position you at the end of your document, so that you can immediately jump
back in.

%prep
%setup -q

%build
%qmake5 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
%suse_update_desktop_file %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc ChangeLog CREDITS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*g
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog



commit perl-Mojolicious-Plugin-AssetPack for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package perl-Mojolicious-Plugin-AssetPack 
for openSUSE:Factory checked in at 2016-06-05 14:20:42

Comparing /work/SRC/openSUSE:Factory/perl-Mojolicious-Plugin-AssetPack (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Mojolicious-Plugin-AssetPack.new 
(New)


Package is "perl-Mojolicious-Plugin-AssetPack"

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Mojolicious-Plugin-AssetPack/perl-Mojolicious-Plugin-AssetPack.changes
  2015-12-16 17:42:11.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-Mojolicious-Plugin-AssetPack.new/perl-Mojolicious-Plugin-AssetPack.changes
 2016-06-05 14:20:44.0 +0200
@@ -1,0 +2,69 @@
+Tue May 31 10:44:05 UTC 2016 - co...@suse.com
+
+- updated to 1.13
+   see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
+
+  1.13 2016-05-21T08:11:27+0200
+   - Fix sass-current-app.t after 1.12
+  
+  1.12 2016-05-20T20:59:10+0200
+   - Fix compressing Sass assets with SASS_STYLE_COMPRESSED
+ Contributor: Zoffix Znet
+  
+  1.11 2016-05-17T07:55:56+0200
+   - Fix failing reloader-process.t
+  
+  1.10 2016-05-15T11:50:24+0200
+   - Fix watching the actual input asset files in Pipe::Reloader #86
+ Contributor: Mark Grimes
+  
+  1.09 2016-05-10T21:36:09+0200
+   - Fix to deal with multiple imports of the same Sass file #83
+ Contributor: Mark Grimes
+  
+  1.08 2016-05-09T22:23:42+0200
+   - Add support for minifying jpeg image files
+   - Add support for minifying png image files #81
+ Contributor: Heiko Jansen
+   - Add Mojolicious::Plugin::AssetPack::Asset::tag_helper() to support
+ future "image" assets.
+  
+  1.07 2016-05-03T13:55:45+0200
+   - Fix rendering assets URL in mounted apps
+  
+  1.06 2016-04-17T14:22:08+0200
+   - Fix Fetch with Combine #75
+  
+  1.05 2016-04-17T11:19:29+0200
+   - Need to "use CSS::Sass 3.3.0" to avoid test failures on missing features
+   - Add support for automatic download of fonts #75
+   - Add support for conditions in assetpack.def #78
+   - Fix SCSS files with UTF-8 encoding #70
+   - Fix adding route earlier than on the first request #77
+   - Fix setting url() on asset from db file
+  
+  1.04 2016-04-08T22:40:29+0200
+   - Fix Pipe::Reloader and files from def file
+   - Change default Pipe::Reloader strategy to "document" to make reloading
+ JavaScript more robust.
+  
+  1.03 2016-04-08T20:15:31+0200
+   - Add Pipe::Reloader for instant refresh in browser on asset change #72
+   - Marked old modules as deprecated
+  
+  1.02 2016-04-08T14:30:19+0200
+   - Add support for "sass_functions" #68
+ Contributor: Mark Grimes
+   - Fix 2 naked subroutines
+   - Fix t/sass.t: #919191 != #909090
+   - Skip more old tests by default
+  
+  1.01 2016-04-06T16:10:06+0200
+   - Cannot load CSS::Minifier::XS in old code - The module is optional
+   - Cannot load JavaScript::Minifier::XS in old code - The module is optional
+  
+  1.00 2016-04-02T21:26:35+0200
+   - Rewrote the module. Breaking changes might occur.
+   - Changed from "pre-processors" to "pipes"
+
+---

Old:

  Mojolicious-Plugin-AssetPack-0.69.tar.gz

New:

  Mojolicious-Plugin-AssetPack-1.13.tar.gz



Other differences:
--
++ perl-Mojolicious-Plugin-AssetPack.spec ++
--- /var/tmp/diff_new_pack.NAEY3z/_old  2016-06-05 14:20:45.0 +0200
+++ /var/tmp/diff_new_pack.NAEY3z/_new  2016-06-05 14:20:45.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Mojolicious-Plugin-AssetPack
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Mojolicious-Plugin-AssetPack
-Version:0.69
+Version:1.13
 Release:0
 %define cpan_name Mojolicious-Plugin-AssetPack
 Summary:Compress and convert css, less, sass, javascript and 
coffeescript files
@@ -30,33 +30,31 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(CSS::Minifier::XS) >= 0.01
-BuildRequires:  perl(File::Which) >= 1.00
-BuildRequires:  perl(IPC::Run3) >= 0.04
-BuildRequires:  perl(JavaScript::Minifier::XS) >= 0.11
-BuildRequires:  perl(Mojolicious) >= 5.41
+BuildRequires:  perl(File::Which) >= 1.21
+BuildRequires:  perl(IPC::Run3) >= 0.048
+BuildRequires:  perl(Mojolicious) >= 6.50
 BuildRequires:  perl(Test::More) >= 0.88
-Requires:   perl(CSS::Minifier::XS) >= 0.01
-Requires:   perl(File::Which) >= 1.00
-Requires:   

commit perl-Pod-Usage for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package perl-Pod-Usage for openSUSE:Factory 
checked in at 2016-06-05 14:20:48

Comparing /work/SRC/openSUSE:Factory/perl-Pod-Usage (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Pod-Usage.new (New)


Package is "perl-Pod-Usage"

Changes:

--- /work/SRC/openSUSE:Factory/perl-Pod-Usage/perl-Pod-Usage.changes
2015-04-21 10:51:30.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Pod-Usage.new/perl-Pod-Usage.changes   
2016-06-05 14:20:50.0 +0200
@@ -1,0 +2,32 @@
+Tue May 31 10:57:19 UTC 2016 - co...@suse.com
+
+- updated to 1.69
+   see /usr/share/doc/packages/perl-Pod-Usage/CHANGES
+
+  1.69 (marekr)
+  - CPAN#111313: Makefile creation issue with Pod-Usage-1.68
+thanks to H M Brand for the suggestion on how to create a more portable
+tar.gz distribution file
+  - CPAN#109830: Tests fail
+bundle some old Pod::Parser modules in the test so that there is no more
+dependency. This has to refactored one day to entirely get rid of that
+
+---
+Mon May 23 12:31:58 UTC 2016 - co...@suse.com
+
+- updated to 1.68
+   see /usr/share/doc/packages/perl-Pod-Usage/CHANGES
+
+  1.68 (marekr)
+  - CPAN#102529: License declaration mismatch
+unified the license for Pod-Usage to "as Perl itself", and corrected 
authors
+  - CPAN#109830: Tests fail
+added prerequisite for Pod::Text 4.00 to avoid running tests with outdated
+Pod::Text
+  - CPAN#110443: [PATCH] fix -perldoc option in pod2usage() method
+added missing '-'
+  - CPAN#110446: [feature request] -perldocopt for supplying perldoc options
+added this option; split of string on whitespace is not optimal, but
+should do the job
+
+---

Old:

  Pod-Usage-1.67.tar.gz

New:

  Pod-Usage-1.69.tar.gz



Other differences:
--
++ perl-Pod-Usage.spec ++
--- /var/tmp/diff_new_pack.D4OXPH/_old  2016-06-05 14:20:51.0 +0200
+++ /var/tmp/diff_new_pack.D4OXPH/_new  2016-06-05 14:20:51.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Pod-Usage
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,9 +17,9 @@
 
 
 Name:   perl-Pod-Usage
-Version:1.67
+Version:1.69
 Release:0
-#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
+#Upstream: Artistic-1.0 or GPL-1.0+
 %define cpan_name Pod-Usage
 Summary:Print a Usage Message From Embedded Pod Documentation
 License:GPL-1.0+ or Artistic-1.0
@@ -31,8 +31,8 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(Pod::Text) >= 3.15
-Requires:   perl(Pod::Text) >= 3.15
+BuildRequires:  perl(Pod::Text) >= 4
+Requires:   perl(Pod::Text) >= 4
 %{perl_requires}
 
 %description
@@ -46,7 +46,6 @@
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
-find . -type f -print0 | xargs -0 chmod 644
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor

++ Pod-Usage-1.67.tar.gz -> Pod-Usage-1.69.tar.gz ++
 4682 lines of diff (skipped)




commit perl-Task-Kensho-OOP for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package perl-Task-Kensho-OOP for 
openSUSE:Factory checked in at 2016-06-05 14:20:45

Comparing /work/SRC/openSUSE:Factory/perl-Task-Kensho-OOP (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Task-Kensho-OOP.new (New)


Package is "perl-Task-Kensho-OOP"

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Task-Kensho-OOP/perl-Task-Kensho-OOP.changes
2014-09-17 17:25:46.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Task-Kensho-OOP.new/perl-Task-Kensho-OOP.changes
   2016-06-05 14:20:46.0 +0200
@@ -1,0 +2,13 @@
+Tue May 31 11:10:23 UTC 2016 - co...@suse.com
+
+- updated to 0.39
+   see /usr/share/doc/packages/perl-Task-Kensho-OOP/Changes
+
+  0.39  2016-05-14
+- WebDev: removed Dancer, added Dancer2
+- OOP: added Moose, Moo and many related modules
+- Exceptions: remove TryCatch
+- Testing: remove Test::Most and Test::NoWarnings, added 
Test::Warnings
+- Config: added JSON::MaybeXS
+
+---

Old:

  Task-Kensho-OOP-0.38.tar.gz

New:

  Task-Kensho-OOP-0.39.tar.gz
  cpanspec.yml



Other differences:
--
++ perl-Task-Kensho-OOP.spec ++
--- /var/tmp/diff_new_pack.2AEyhr/_old  2016-06-05 14:20:47.0 +0200
+++ /var/tmp/diff_new_pack.2AEyhr/_new  2016-06-05 14:20:47.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Task-Kensho-OOP
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,55 +17,78 @@
 
 
 Name:   perl-Task-Kensho-OOP
-Version:0.38
+Version:0.39
 Release:0
 %define cpan_name Task-Kensho-OOP
-Summary:A Glimpse at an Enlightened Perl: Object Oriented Programming
+Summary:Glimpse at an Enlightened Perl: Object Oriented Programming
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Task-Kensho-OOP/
-Source: 
http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
+Source0:
http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
+Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(Module::Build::Tiny) >= 0.038
+BuildRequires:  perl(Module::Build::Tiny) >= 0.034
+BuildRequires:  perl(Module::Metadata)
+BuildRequires:  perl(Moo)
+BuildRequires:  perl(Moose)
+BuildRequires:  perl(MooseX::Aliases)
+BuildRequires:  perl(MooseX::Getopt)
+BuildRequires:  perl(MooseX::NonMoose)
+BuildRequires:  perl(MooseX::Role::Parameterized)
+BuildRequires:  perl(MooseX::SimpleConfig)
+BuildRequires:  perl(MooseX::StrictConstructor)
+BuildRequires:  perl(Package::Variant)
 BuildRequires:  perl(Task::Moose)
+BuildRequires:  perl(Type::Tiny)
+BuildRequires:  perl(namespace::autoclean)
+Requires:   perl(Moo)
+Requires:   perl(Moose)
+Requires:   perl(MooseX::Aliases)
+Requires:   perl(MooseX::Getopt)
+Requires:   perl(MooseX::NonMoose)
+Requires:   perl(MooseX::Role::Parameterized)
+Requires:   perl(MooseX::SimpleConfig)
+Requires:   perl(MooseX::StrictConstructor)
+Requires:   perl(Package::Variant)
 Requires:   perl(Task::Moose)
+Requires:   perl(Type::Tiny)
+Requires:   perl(namespace::autoclean)
 %{perl_requires}
 
 %description
-From the http://en.wikipedia.org/wiki/Kensho manpage:
+From http://en.wikipedia.org/wiki/Kensho:
 
 Kenshō (見性) (C. Wu) is a Japanese term for enlightenment experiences -
 most commonly used within the confines of Zen Buddhism - literally
 meaning "seeing one's nature"[1] or "true self."[2] It generally
 "refers to the realization of nonduality of subject and object."[3]
 
-the Task::Kensho manpage is a list of recommended modules for Enlightened
-Perl development. CPAN is wonderful, but there are too many wheels and you
-have to pick and choose amongst the various competing technologies.
-
-The plan is for the Task::Kensho manpage to be a rough testing ground for
-ideas that go into among other things the Enlightened Perl Organisation
-Extended Core (EPO-EC).
-
-The modules that are bundled by the Task::Kensho manpage are broken down
-into several categories and are still being considered. They are all taken
-from various top 100 most used perl modules lists and from discussions with
-various subject matter experts in the Perl Community. 

commit perl-Sysadm-Install for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package perl-Sysadm-Install for 
openSUSE:Factory checked in at 2016-06-05 14:20:46

Comparing /work/SRC/openSUSE:Factory/perl-Sysadm-Install (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Sysadm-Install.new (New)


Package is "perl-Sysadm-Install"

Changes:

--- /work/SRC/openSUSE:Factory/perl-Sysadm-Install/perl-Sysadm-Install.changes  
2015-06-30 10:18:16.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Sysadm-Install.new/perl-Sysadm-Install.changes 
2016-06-05 14:20:47.0 +0200
@@ -1,0 +2,11 @@
+Tue May 31 11:09:33 UTC 2016 - co...@suse.com
+
+- updated to 0.47
+   see /usr/share/doc/packages/perl-Sysadm-Install/Changes
+
+  0.47  (2016/05/29)
+  (ms) password_read() now writes the prompt to STDERR (instead of 
STDOUT), and
+   optionally to /dev/tty if specified. This allows for redirecting 
STDOUT 
+   (and even STDERR) to a file without losing the password prompt.
+
+---

Old:

  Sysadm-Install-0.46.tar.gz

New:

  Sysadm-Install-0.47.tar.gz



Other differences:
--
++ perl-Sysadm-Install.spec ++
--- /var/tmp/diff_new_pack.XTwoRp/_old  2016-06-05 14:20:48.0 +0200
+++ /var/tmp/diff_new_pack.XTwoRp/_new  2016-06-05 14:20:48.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Sysadm-Install
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Sysadm-Install
-Version:0.46
+Version:0.47
 Release:0
 %define cpan_name Sysadm-Install
 Summary:Typical installation tasks for system administrators
@@ -68,7 +68,7 @@
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
-find . -type f -print0 | xargs -0 chmod 644
+find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor

++ Sysadm-Install-0.46.tar.gz -> Sysadm-Install-0.47.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sysadm-Install-0.46/Changes 
new/Sysadm-Install-0.47/Changes
--- old/Sysadm-Install-0.46/Changes 2015-06-24 05:00:19.0 +0200
+++ new/Sysadm-Install-0.47/Changes 2016-05-30 09:08:30.0 +0200
@@ -2,6 +2,11 @@
 Revision history for Sysadm::Install
 
 
+0.47  (2016/05/29)
+(ms) password_read() now writes the prompt to STDERR (instead of STDOUT), 
and
+ optionally to /dev/tty if specified. This allows for redirecting 
STDOUT 
+ (and even STDERR) to a file without losing the password prompt.
+
 0.46  (2015/06/23)
 (ms) ask() and pick() now support getting the user's response on the 
  tty, instead of stdin, so they can be used from within a pipe.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sysadm-Install-0.46/META.json 
new/Sysadm-Install-0.47/META.json
--- old/Sysadm-Install-0.46/META.json   2015-06-24 05:02:18.0 +0200
+++ new/Sysadm-Install-0.47/META.json   2016-05-30 09:27:18.0 +0200
@@ -4,7 +4,7 @@
   "Mike Schilli "
],
"dynamic_config" : 1,
-   "generated_by" : "ExtUtils::MakeMaker version 7.04, CPAN::Meta::Converter 
version 2.142690",
+   "generated_by" : "ExtUtils::MakeMaker version 7.04, CPAN::Meta::Converter 
version 2.133380",
"license" : [
   "unknown"
],
@@ -50,5 +50,5 @@
  "url" : "http://github.com/mschilli/sysadm-install-perl;
   }
},
-   "version" : "0.46"
+   "version" : "0.47"
 }
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Sysadm-Install-0.46/META.yml 
new/Sysadm-Install-0.47/META.yml
--- old/Sysadm-Install-0.46/META.yml2015-06-24 05:02:18.0 +0200
+++ new/Sysadm-Install-0.47/META.yml2016-05-30 09:27:17.0 +0200
@@ -3,30 +3,30 @@
 author:
   - 'Mike Schilli '
 build_requires:
-  ExtUtils::MakeMaker: '0'
+  ExtUtils::MakeMaker: 0
 configure_requires:
-  ExtUtils::MakeMaker: '0'
+  ExtUtils::MakeMaker: 0
 dynamic_config: 1
-generated_by: 'ExtUtils::MakeMaker version 7.04, CPAN::Meta::Converter version 
2.142690'
+generated_by: 'ExtUtils::MakeMaker version 7.04, CPAN::Meta::Converter version 
2.133380'
 license: unknown
 meta-spec:
   url: http://module-build.sourceforge.net/META-spec-v1.4.html
-  version: '1.4'
+  version: 1.4
 name: Sysadm-Install
 no_index:
   directory:
 - t
 - inc
 

commit perl-MooseX-ClassAttribute for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package perl-MooseX-ClassAttribute for 
openSUSE:Factory checked in at 2016-06-05 14:20:54

Comparing /work/SRC/openSUSE:Factory/perl-MooseX-ClassAttribute (Old)
 and  /work/SRC/openSUSE:Factory/.perl-MooseX-ClassAttribute.new (New)


Package is "perl-MooseX-ClassAttribute"

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-MooseX-ClassAttribute/perl-MooseX-ClassAttribute.changes
2013-06-13 18:15:37.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-MooseX-ClassAttribute.new/perl-MooseX-ClassAttribute.changes
   2016-06-05 14:20:55.0 +0200
@@ -1,0 +2,17 @@
+Tue May 31 10:45:03 UTC 2016 - co...@suse.com
+
+- updated to 0.29
+   see /usr/share/doc/packages/perl-MooseX-ClassAttribute/Changes
+
+  0.29 2016-05-29
+  
+  - Fix test prereqs on MooseX::AttributeHelpers and MooseX::Role::Strict.
+  
+  
+  0.28 2016-05-16
+  
+  - Repository migrated to the github moose organization. (Karen Etheridge)
+  
+  - Removed dependency on List::MoreUtils. (Karen Etheridge)
+
+---

Old:

  MooseX-ClassAttribute-0.27.tar.gz

New:

  MooseX-ClassAttribute-0.29.tar.gz
  cpanspec.yml



Other differences:
--
++ perl-MooseX-ClassAttribute.spec ++
--- /var/tmp/diff_new_pack.zb8KpT/_old  2016-06-05 14:20:56.0 +0200
+++ /var/tmp/diff_new_pack.zb8KpT/_new  2016-06-05 14:20:56.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-MooseX-ClassAttribute
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,19 +17,20 @@
 
 
 Name:   perl-MooseX-ClassAttribute
-Version:0.27
+Version:0.29
 Release:0
 %define cpan_name MooseX-ClassAttribute
 Summary:Declare class attributes Moose-style
 License:Artistic-2.0
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/MooseX-ClassAttribute/
-Source: 
http://www.cpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
+Source0:
http://www.cpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
+Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(List::MoreUtils)
+BuildRequires:  perl(List::Util) >= 1.45
 BuildRequires:  perl(Moose) >= 2.00
 BuildRequires:  perl(Moose::Exporter)
 BuildRequires:  perl(Moose::Meta::Role::Attribute)
@@ -37,32 +38,11 @@
 BuildRequires:  perl(Moose::Util)
 BuildRequires:  perl(Moose::Util::MetaRole)
 BuildRequires:  perl(Test::Fatal)
-BuildRequires:  perl(Test::More) >= 0.88
+BuildRequires:  perl(Test::More) >= 0.96
 BuildRequires:  perl(Test::Requires) >= 0.05
 BuildRequires:  perl(namespace::autoclean) >= 0.11
 BuildRequires:  perl(namespace::clean) >= 0.20
-#BuildRequires: perl(HasClassAttribute)
-#BuildRequires: perl(MooseX::AttributeHelpers)
-#BuildRequires: perl(MooseX::ClassAttribute)
-#BuildRequires: perl(MooseX::ClassAttribute::Meta::Role::Attribute)
-#BuildRequires: perl(MooseX::ClassAttribute::Trait::Application)
-#BuildRequires: perl(MooseX::ClassAttribute::Trait::Application::ToClass)
-#BuildRequires: perl(MooseX::ClassAttribute::Trait::Application::ToRole)
-#BuildRequires: perl(MooseX::ClassAttribute::Trait::Attribute)
-#BuildRequires: perl(MooseX::ClassAttribute::Trait::Class)
-#BuildRequires: perl(MooseX::ClassAttribute::Trait::Mixin::HasClassAttributes)
-#BuildRequires: perl(MooseX::ClassAttribute::Trait::Role)
-#BuildRequires: perl(MooseX::Role::Parameterized)
-#BuildRequires: perl(MooseX::Role::Strict)
-#BuildRequires: perl(Role)
-#BuildRequires: perl(Role2)
-#BuildRequires: perl(Role3)
-#BuildRequires: perl(Role4)
-#BuildRequires: perl(Role5)
-#BuildRequires: perl(RoleHCA)
-#BuildRequires: perl(RoleWithRoleHCA)
-#BuildRequires: perl(SharedTests)
-Requires:   perl(List::MoreUtils)
+Requires:   perl(List::Util) >= 1.45
 Requires:   perl(Moose) >= 2.00
 Requires:   perl(Moose::Exporter)
 Requires:   perl(Moose::Meta::Role::Attribute)
@@ -103,6 +83,6 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes LICENSE README
+%doc Changes CONTRIBUTING.md LICENSE README.md
 
 %changelog

++ MooseX-ClassAttribute-0.27.tar.gz -> MooseX-ClassAttribute-0.29.tar.gz 
++
 4096 lines of diff (skipped)

++ cpanspec.yml ++
---
#description_paragraphs: 3
#description: |-
#  override description from CPAN
#summary: override summary 

commit intel-gpu-tools for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package intel-gpu-tools for openSUSE:Factory 
checked in at 2016-06-05 14:20:12

Comparing /work/SRC/openSUSE:Factory/intel-gpu-tools (Old)
 and  /work/SRC/openSUSE:Factory/.intel-gpu-tools.new (New)


Package is "intel-gpu-tools"

Changes:

--- /work/SRC/openSUSE:Factory/intel-gpu-tools/intel-gpu-tools.changes  
2016-03-05 13:05:05.0 +0100
+++ /work/SRC/openSUSE:Factory/.intel-gpu-tools.new/intel-gpu-tools.changes 
2016-06-05 14:20:14.0 +0200
@@ -1,0 +2,57 @@
+Wed Jun  1 14:28:00 UTC 2016 - sndir...@suse.com
+
+Update to version 1.15
+- New KMS test: tests/kms_cursor_legacy (Stress legacy cursor ioctl)
+(Chris Wilson)
+- Several GEM tests have been removed from BAT: tests/gem_exec_whisper,
+tests/gem_sync (dropped individual engines), test/gem_cs_prefetch (replaced
+by test/gem_exec_gttfill), tests/gem_ctx_param_basic (got relabeled
+to tests/gem_ctx_param) (Chris Wilson)
+- build: Skip configure step if is NOCONFIGURE set (Tomeu Vizoso)
+- tools/intel_bios_reader: Added options for dumping individual panels, 
specific
+section, hex format and other various fixes (Jani Nikula)
+- build: Add optional --enable-werror
+(hard-fail in case of compiler warnings) (Marius Vlad)
+- New KMS test: tests/prime_mmap_kms (show case dma-buf new API
+and processes restrictions) (Tiago Vignatti)
+- Several tests have gained to ability to be run on different platforms
+than Intel: tests/testdisplay (Tomeu Vizoso), tests/kms_panel_fitting
+(Robert Foss), tests/kms_flip_event_leak, tests/kms_flip (Tomeu Vizoso).
+- compute exitcode first: In the case of running multiple subtests which all
+happen to be skipped, igt_exitcode is 0, but the final exit code will be 77.
+(Chris Wilson)
+- Shorten tests/kms_flip test (Tvrtko Ursulin)
+- Half the timeout for suspend to RAM and a third for suspend to disk
+(Marius Vlad)
+- lib: Pass format instead of bpp to create_bo_for_fb (Ville Syrjälä)
+- Removed from tests/test-list.txt, tests/gem_concurrent_all and added
+tests/test-list-full.txt that contains all the tests. This will speed
+up considerably piglit when starting tests. (Gabriel Feceoru)
+- piglit changed its behaviour to prevent overwriting the results. A fairly new
+version of piglit is required to run i-g-t tests. (Gabriel Feceoru)
+- lib: Replace drmIoctl() with a layer of indirection (Chris Wilson)
+- Adding missing Broxton PCI IDs (Rodrigo Vivi)
+- Added COMMIT_ATOMIC (lib/igt_kms, w/ tests/kms_rotation_crc).
+Requires nuclear_pageflip parameter turned on in the i915 driver.
+(Mayuresh Gharpure, Pratik Vishwakarma)
+- man/: rewrite manual pages in reStructuredText (Jani Nikula)
+- tests/drv_module_reload_basic: perform fault injection (Chris Wilson)
+with various improvements (Imre Deak)
+- Removed tests/gem_multi_bsd_sync_loop which was superseded by
+tests/gem_ring_sync_loop and tests/gem_dummy_reloc_loop by
+tests/gem_exec_reloc (Chris Wilson)
+- New GEM tests: tests/gem_exec_whisper, tests/gem_exec_store,
+test/gem_exec_gttfill, tests/gem_exec_suspend, tests/gem_exec_flush
+(Chris Wilson)
+- New benchmarks: benchmarks/gem_syslatency, benchmarks/gem_exec_fault
+(Chris Wilson)
+- tests/gem_exec_nop included in BAT (Chris Wilson)
+- tests/pm_rpm: Fix crash on machines that lack LLC (David Weinehall)
+- lib/igt_fb: Fix domain tracking for GTT cairo surfaces (Chris Wilson)
+- Add igt_subtest_group to allow igt_fixture for only a subset of subtests
+without skipping/failing all subsequent subtests. (Daniel Vetter)
+- Many more fixes and improvements.
+Added python3-docutils to BuildRequires, since manual pages are now built
+via rst2man.
+
+---

Old:

  intel-gpu-tools-1.14.tar.bz2

New:

  intel-gpu-tools-1.15.tar.bz2



Other differences:
--
++ intel-gpu-tools.spec ++
--- /var/tmp/diff_new_pack.o2N50B/_old  2016-06-05 14:20:15.0 +0200
+++ /var/tmp/diff_new_pack.o2N50B/_new  2016-06-05 14:20:15.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   intel-gpu-tools
-Version:1.14
+Version:1.15
 Release:0
 Summary:Collection of tools for development and testing of the Intel 
DRM driver
 License:MIT
@@ -30,6 +30,7 @@
 BuildRequires:  libtool
 BuildRequires:  pkg-config
 BuildRequires:  python3-devel
+BuildRequires:  python3-docutils
 BuildRequires:  swig >= 2.0.0
 BuildRequires:  pkgconfig(cairo)
 BuildRequires:  pkgconfig(dri2proto) >= 2.6

++ intel-gpu-tools-1.14.tar.bz2 -> intel-gpu-tools-1.15.tar.bz2 ++
 38658 lines of diff (skipped)




commit cheese for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package cheese for openSUSE:Factory checked 
in at 2016-06-05 14:20:20

Comparing /work/SRC/openSUSE:Factory/cheese (Old)
 and  /work/SRC/openSUSE:Factory/.cheese.new (New)


Package is "cheese"

Changes:

--- /work/SRC/openSUSE:Factory/cheese/cheese.changes2016-05-16 
12:01:36.0 +0200
+++ /work/SRC/openSUSE:Factory/.cheese.new/cheese.changes   2016-06-05 
14:20:22.0 +0200
@@ -1,0 +2,5 @@
+Mon May 16 21:26:44 UTC 2016 - mgo...@suse.com
+
+- Update to GNOME 3.20.2  Fate#318572
+
+---
@@ -9,0 +15,5 @@
+
+---
+Fri Apr 15 02:45:54 CEST 2016 - h...@suse.com
+
+- Update to GNOME 3.20 -- Fate#318572.



Other differences:
--



commit zsh for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package zsh for openSUSE:Factory checked in 
at 2016-06-05 14:19:58

Comparing /work/SRC/openSUSE:Factory/zsh (Old)
 and  /work/SRC/openSUSE:Factory/.zsh.new (New)


Package is "zsh"

Changes:

--- /work/SRC/openSUSE:Factory/zsh/zsh.changes  2015-12-17 15:53:52.0 
+0100
+++ /work/SRC/openSUSE:Factory/.zsh.new/zsh.changes 2016-06-05 
14:20:00.0 +0200
@@ -1,0 +2,5 @@
+Wed May 25 12:30:17 UTC 2016 - l...@gmx.com
+
+- Add CentOS [67] support
+
+---



Other differences:
--
++ zsh.spec ++
--- /var/tmp/diff_new_pack.P5dyk9/_old  2016-06-05 14:20:01.0 +0200
+++ /var/tmp/diff_new_pack.P5dyk9/_new  2016-06-05 14:20:01.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package zsh
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 Name:   zsh
 Version:5.2
-Release:0
+Release:0%{?dist}
 Summary:Shell with comprehensive completion
 License:MIT
 Group:  System/Shells
@@ -42,6 +42,7 @@
 # PATCH-FIX-OPENSUSE zsh-osc-completion.patch -- Fix openSUSE versions in osc 
completion
 Patch2: zsh-osc-completion.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  groff
 %if 0%{?suse_version}
 Requires(pre):  %{install_info_prereq}
 %if 0%{?suse_version} >= 1110
@@ -49,7 +50,6 @@
 BuildRequires:  yodl
 %endif
 %if 0%{?suse_version} >= 1210
-BuildRequires:  groff
 BuildRequires:  makeinfo
 BuildRequires:  texi2html
 %endif
@@ -63,8 +63,10 @@
 BuildRequires:  ncurses-devel
 BuildRequires:  pcre-devel
 %if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
+%if 0%{?rhel_version} >= 700 || 0%{?centos_version} >= 700
+%global __requires_exclude ^/bin/zsh$
+%endif
 BuildRequires:  libtermcap-devel
-BuildRequires:  tetex
 BuildRequires:  texi2html
 BuildRequires:  texinfo
 %endif
@@ -117,6 +119,11 @@
 %build
 
 %configure \
+%if 0%{?suse_version}
+--with-term-lib="ncursesw" \
+--enable-cflags="%{optflags} -fPIE -fstack-protector %(ncursesw6-config 
--cflags)" \
+--enable-ldflags="%(ncursesw6-config --libs) -pie -Wl,-z,relro" \
+%endif
 --enable-fndir=%{_datadir}/%{name}/${version}/functions \
 --enable-site-fndir=%{_datadir}/%{name}/site-functions \
 --enable-function-subdirs \
@@ -124,13 +131,12 @@
 --with-tcsetpgrp \
 --enable-cap \
 --enable-multibyte \
---enable-pcre \
---with-term-lib="ncursesw" \
---enable-cflags="%{optflags} -fPIE -fstack-protector %(ncursesw6-config 
--cflags)" \
---enable-ldflags="%(ncursesw6-config --libs) -pie -Wl,-z,relro"
+--enable-pcre
 
 # Copy _rpm completion from Redhat (bnc#900424)
+%if 0%{?suse_version}
 cp Completion/Redhat/Command/_rpm Completion/openSUSE/Command/_rpm
+%endif
 
 make all info html
 
@@ -178,10 +184,15 @@
 install -m 0644 Doc/help/* %{buildroot}%{_datadir}/%{name}/%{version}/help/
 
 # link zsh binary
+%if 0%{?suse_version} || 0%{?rhel} <= 6
 ln -sf %{_bindir}/zsh %{buildroot}/bin/zsh
+%endif
 
 # Remove versioned zsh binary
 rm -f %{buildroot}%{_bindir}/zsh-*
+%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
+rm -f %{buildroot}/%{_datadir}/info/dir
+%endif
 
 %if 0%{?suse_version} >= 1110
 %fdupes %{buildroot}
@@ -262,7 +273,9 @@
 %endif
 
 %{_bindir}/zsh
+%if 0%{?suse_version} || 0%{?rhel} <= 6
 /bin/zsh
+%endif
 %{_libdir}/zsh/
 %{_datadir}/zsh/
 %{_infodir}/zsh.info*.gz

++ zprofile.rhs ++
--- /var/tmp/diff_new_pack.P5dyk9/_old  2016-06-05 14:20:01.0 +0200
+++ /var/tmp/diff_new_pack.P5dyk9/_new  2016-06-05 14:20:01.0 +0200
@@ -5,7 +5,18 @@
 PATH="$PATH:$HOME/bin"
 export PATH
 
-# source profile
-if [ -f /etc/profile ]; then
-   source /etc/profile
-fi
+_src_etc_profile()
+{
+#  Make /etc/profile happier, and have possible ~/.zshenv options like
+# NOMATCH ignored.
+#
+emulate -L ksh
+
+# source profile
+if [ -f /etc/profile ]; then
+   source /etc/profile
+fi
+}
+_src_etc_profile
+
+unset -f _src_etc_profile



++ zshrc.rhs ++
--- /var/tmp/diff_new_pack.P5dyk9/_old  2016-06-05 14:20:01.0 +0200
+++ /var/tmp/diff_new_pack.P5dyk9/_new  2016-06-05 14:20:01.0 +0200
@@ -15,12 +15,36 @@
 # bindkey -e # emacs key bindings
 bindkey ' ' magic-space  # also do history expansion on space
 
-# from bashrc
-if [ "x$SHLVL" != "x1" ]; then # We're not a login shell
-for i in 

commit xf86-input-evdev for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package xf86-input-evdev for 
openSUSE:Factory checked in at 2016-06-05 14:19:45

Comparing /work/SRC/openSUSE:Factory/xf86-input-evdev (Old)
 and  /work/SRC/openSUSE:Factory/.xf86-input-evdev.new (New)


Package is "xf86-input-evdev"

Changes:

--- /work/SRC/openSUSE:Factory/xf86-input-evdev/xf86-input-evdev.changes
2016-05-26 23:53:12.0 +0200
+++ /work/SRC/openSUSE:Factory/.xf86-input-evdev.new/xf86-input-evdev.changes   
2016-06-05 14:19:46.0 +0200
@@ -1,0 +2,9 @@
+Wed Jun  1 12:19:56 UTC 2016 - sndir...@suse.com
+
+- Update to version 2.10.3
+  * Only one fix over 2.10.2 restoring tablets' functionality. A
+bug in the wheel emulation rework caused non-x/y axes to stop
+updating. Interaction with tablets thus resulted in a zero
+pressure sent to the clients an the tablet being unable to draw.
+
+---

Old:

  xf86-input-evdev-2.10.2.tar.bz2
  xf86-input-evdev-2.10.2.tar.bz2.sig

New:

  xf86-input-evdev-2.10.3.tar.bz2
  xf86-input-evdev-2.10.3.tar.bz2.sig



Other differences:
--
++ xf86-input-evdev.spec ++
--- /var/tmp/diff_new_pack.g9ot6l/_old  2016-06-05 14:19:47.0 +0200
+++ /var/tmp/diff_new_pack.g9ot6l/_new  2016-06-05 14:19:47.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   xf86-input-evdev
-Version:2.10.2
+Version:2.10.3
 Release:0
 Summary:Generic Linux input driver for the Xorg X server
 License:MIT

++ xf86-input-evdev-2.10.2.tar.bz2 -> xf86-input-evdev-2.10.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xf86-input-evdev-2.10.2/ChangeLog 
new/xf86-input-evdev-2.10.3/ChangeLog
--- old/xf86-input-evdev-2.10.2/ChangeLog   2016-04-29 01:19:43.0 
+0200
+++ new/xf86-input-evdev-2.10.3/ChangeLog   2016-06-01 03:41:52.0 
+0200
@@ -1,3 +1,28 @@
+commit 7c1971d9e7b73b861874633a33f97487abf1d45d
+Author: Peter Hutterer 
+Date:   Wed Jun 1 11:41:03 2016 +1000
+
+evdev 2.10.3
+
+Signed-off-by: Peter Hutterer 
+
+commit 9a6952dafe7241d4987eedd4637e5a9785d7ec23
+Author: Peter Hutterer 
+Date:   Thu May 12 15:22:19 2016 +1000
+
+Restore non-xy axes updates
+
+This broke in d24431a1863c49aa Restore wheel emulation for absolute 
devices,
+last hunk when the valuator update was moved to before any early exit
+condition. But that new update only applies to valuator maps < 2, i.e. x/y
+only. Other valuators are now ignored and remain on 0 forever.
+
+Restore the valuator update.
+
+https://bugs.freedesktop.org/show_bug.cgi?id=95315
+
+Signed-off-by: Peter Hutterer 
+
 commit f12eca9f8392934031cb250e7a2a5ed1d5ca11cf
 Author: Peter Hutterer 
 Date:   Fri Apr 29 09:13:35 2016 +1000
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xf86-input-evdev-2.10.2/configure 
new/xf86-input-evdev-2.10.3/configure
--- old/xf86-input-evdev-2.10.2/configure   2016-04-29 01:19:40.0 
+0200
+++ new/xf86-input-evdev-2.10.3/configure   2016-06-01 03:41:11.0 
+0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for xf86-input-evdev 2.10.2.
+# Generated by GNU Autoconf 2.69 for xf86-input-evdev 2.10.3.
 #
 # Report bugs to .
 #
@@ -591,8 +591,8 @@
 # Identity of this package.
 PACKAGE_NAME='xf86-input-evdev'
 PACKAGE_TARNAME='xf86-input-evdev'
-PACKAGE_VERSION='2.10.2'
-PACKAGE_STRING='xf86-input-evdev 2.10.2'
+PACKAGE_VERSION='2.10.3'
+PACKAGE_STRING='xf86-input-evdev 2.10.3'
 PACKAGE_BUGREPORT='https://bugs.freedesktop.org/enter_bug.cgi?product=xorg'
 PACKAGE_URL=''
 
@@ -1364,7 +1364,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures xf86-input-evdev 2.10.2 to adapt to many kinds of 
systems.
+\`configure' configures xf86-input-evdev 2.10.3 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1435,7 +1435,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
- short | recursive ) echo "Configuration of xf86-input-evdev 2.10.2:";;
+ short | recursive ) echo "Configuration of xf86-input-evdev 2.10.3:";;
esac
   cat <<\_ACEOF
 
@@ -1574,7 +1574,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if 

commit xinit for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package xinit for openSUSE:Factory checked 
in at 2016-06-05 14:19:50

Comparing /work/SRC/openSUSE:Factory/xinit (Old)
 and  /work/SRC/openSUSE:Factory/.xinit.new (New)


Package is "xinit"

Changes:

--- /work/SRC/openSUSE:Factory/xinit/xinit.changes  2016-04-06 
11:51:22.0 +0200
+++ /work/SRC/openSUSE:Factory/.xinit.new/xinit.changes 2016-06-05 
14:19:52.0 +0200
@@ -1,0 +2,24 @@
+Wed Jun  1 12:37:18 UTC 2016 - msta...@suse.com
+
+- xinitrc.common: Add plasma* in list of fallback WMs
+
+---
+Wed Jun  1 10:43:56 UTC 2016 - msta...@suse.com
+
+- xinitrc.common: Add comments, make error messages clearer.
+  Don't filter out twm, as it's only installed on request.
+  Don't expand fallback WINDOWMANAGER.
+
+---
+Wed Jun  1 07:36:25 UTC 2016 - wer...@suse.de
+
+- xinit.tar.bz2: skip twm and xsession desktops 
+
+---
+Tue May 31 16:46:51 UTC 2016 - wer...@suse.de
+
+- xinit.tar.bz2:
+  simplify bash code of /etc/X11/xinit/xinitrc.common to avoid that
+  already set WINDOWMANAGER variable becomes stripped (bsc#981437)
+
+---



Other differences:
--
++ xinit.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/etc/X11/xinit/xinitrc.common 
new/etc/X11/xinit/xinitrc.common
--- old/etc/X11/xinit/xinitrc.common2016-04-05 09:59:53.0 +0200
+++ new/etc/X11/xinit/xinitrc.common2016-06-01 14:36:57.0 +0200
@@ -54,7 +54,7 @@
. $script
else
# run number ordered scripts sequentially
-   case ${script##*/} in 
+   case ${script##*/} in
 [0-9][0-9]-*)  $script ;;
 *) $script & ;;
esac
@@ -66,58 +66,41 @@
 unset script
 
 #
-# Choose a window manager
+# Choose a window manager if not set by /etc/profile.d/profile.sh
 #
-if test -n "$WINDOWMANAGER" ; then
-   _epand_wm()
-   {
-   local x y z
-   for x in $WINDOWMANAGER ; do
-   case "$x" in
-   *=*)y="${y:+$y }$x" ;;
-   -*) y="${y:+$y }$x" ;;
-   *)  if z="$(type -p $x 2>/dev/null)" ; then
-   y="${y:+$y }$z"
-   else
-   y="${y:+$y }$x"
-   fi
-   esac
-   done
-   test -n "$y" && WINDOWMANAGER="$y"
-   }
-   _epand_wm
-   unset _epand_wm
-fi
 if test -z "$WINDOWMANAGER" ; then
+   # For some reason, $WINDOWMANAGER is not set.
+   # This is because the user cleared it or DEFAULT_WM is empty.
+   # Fall back on any session we can find.
_find_wm()
{
-   local x
-   local i
local file
local dir="/usr/share/xsessions"
-   # prefer the desktops resp icewm as it's used by YaST anyways
-   for i in kde gnome xfce lxde icewm; do
-   if [ -e "$dir/$i.desktop" ]; then
-   file="$dir/$i.desktop"
-   break
-   fi
+
+   # Pick a session description file.
+   for file in 
${dir}/{plasma*,kde*,gnome*,xfce*,lxde*,icewm*,*}.desktop
+   do
+   case "${file##*/}" in
+   # Ignore user's .xsession as we can't
+   # handle it as a fallback.
+   xsession.*)
+   continue ;;
+   esac
+   test -e "$file" && break
done
-   if [ -z "$file" ]; then
-   # let's pick the first one
-   local files=($dir/*.desktop)
-   file="${files[0]}"
-   # coolo doesn't like twm
-   if [ "$file" != "${file%twm.desktop}" -a -n 
"${files[1]}" ]; then
-   file="${files[1]}"
-   fi
-   fi
-   if [ -n "$file" ]; then
-while read line; do
-x="${line#Exec=}"
-[ "$line" = "$x" ] || break
-done < "$file"
-   fi
-   WINDOWMANAGER=$(type -p "$x")
+ 

commit sysconfig for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package sysconfig for openSUSE:Factory 
checked in at 2016-06-05 14:19:32

Comparing /work/SRC/openSUSE:Factory/sysconfig (Old)
 and  /work/SRC/openSUSE:Factory/.sysconfig.new (New)


Package is "sysconfig"

Changes:

--- /work/SRC/openSUSE:Factory/sysconfig/sysconfig.changes  2016-05-23 
17:31:00.0 +0200
+++ /work/SRC/openSUSE:Factory/.sysconfig.new/sysconfig.changes 2016-06-05 
14:19:34.0 +0200
@@ -1,0 +2,5 @@
+Tue May 31 15:31:24 UTC 2016 - mgor...@suse.com
+
+- Add a blacklist entry for the ACPI power meter driver (bnc#974373)
+
+---



Other differences:
--
++ sysconfig-0.83.9.tar.bz2 ++
 55716 lines of diff (skipped)




commit gstreamer-plugins-base for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package gstreamer-plugins-base for 
openSUSE:Factory checked in at 2016-06-05 14:19:39

Comparing /work/SRC/openSUSE:Factory/gstreamer-plugins-base (Old)
 and  /work/SRC/openSUSE:Factory/.gstreamer-plugins-base.new (New)


Package is "gstreamer-plugins-base"

Changes:

--- 
/work/SRC/openSUSE:Factory/gstreamer-plugins-base/gstreamer-plugins-base.changes
2016-05-04 08:18:33.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gstreamer-plugins-base.new/gstreamer-plugins-base.changes
   2016-06-05 14:19:40.0 +0200
@@ -1,0 +2,10 @@
+Wed Jun  1 10:18:20 UTC 2016 - idon...@suse.com
+
+- Add proper dependencies to the 32bit devel package 
+
+---
+Tue May 31 14:41:01 UTC 2016 - meiss...@suse.com
+
+- baselibs.conf: add -devel for building 32bit Wine.
+
+---



Other differences:
--
++ baselibs.conf ++
--- /var/tmp/diff_new_pack.A4tFRV/_old  2016-06-05 14:19:41.0 +0200
+++ /var/tmp/diff_new_pack.A4tFRV/_new  2016-06-05 14:19:41.0 +0200
@@ -1,4 +1,16 @@
 gstreamer-plugins-base
+gstreamer-plugins-base-devel
+requires "libgstallocators-1_0-0- = "
+requires "libgstapp-1_0-0- = "
+requires "libgstaudio-1_0-0- = "
+requires "libgstfft-1_0-0- = "
+requires "libgstpbutils-1_0-0- = "
+requires "libgstriff-1_0-0- = "
+requires "libgstrtp-1_0-0- = "
+requires "libgstrtsp-1_0-0- = "
+requires "libgstsdp-1_0-0- = "
+requires "libgsttag-1_0-0- = "
+requires "libgstvideo-1_0-0- = "
 libgstallocators-1_0-0
 libgstapp-1_0-0
 libgstaudio-1_0-0





commit pam-config for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package pam-config for openSUSE:Factory 
checked in at 2016-06-05 14:19:26

Comparing /work/SRC/openSUSE:Factory/pam-config (Old)
 and  /work/SRC/openSUSE:Factory/.pam-config.new (New)


Package is "pam-config"

Changes:

--- /work/SRC/openSUSE:Factory/pam-config/pam-config.changes2016-04-06 
11:50:55.0 +0200
+++ /work/SRC/openSUSE:Factory/.pam-config.new/pam-config.changes   
2016-06-05 14:19:27.0 +0200
@@ -1,0 +2,10 @@
+Tue May 31 15:41:15 CEST 2016 - ku...@suse.de
+
+- No %ghost entries anymore, common-*-pc files are now real config 
+  files for better tracking of modifications.
+- Update to version 0.91
+  - Adjust for Linux-PAM 1.3.0
+  - Automatically replace obsolete PAM modules no longer installed
+  - Extend error messages
+
+---

Old:

  pam-config-0.89.tar.bz2

New:

  common-account-pc
  common-auth-pc
  common-password-pc
  common-session-pc
  pam-config-0.91.tar.bz2



Other differences:
--
++ pam-config.spec ++
--- /var/tmp/diff_new_pack.EhqeEF/_old  2016-06-05 14:19:28.0 +0200
+++ /var/tmp/diff_new_pack.EhqeEF/_new  2016-06-05 14:19:28.0 +0200
@@ -20,10 +20,15 @@
 Summary:Modify common PAM configuration files
 License:GPL-2.0
 Group:  System/Management
-Version:0.89
+Version:0.91
 Release:0
-PreReq: pam >= 0.99
+PreReq: pam >= 1.3.0
+Url:https://github.com/SUSE/pam-config
 Source: %{name}-%{version}.tar.bz2
+Source1:common-account-pc
+Source2:common-auth-pc
+Source3:common-password-pc
+Source4:common-session-pc
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -45,13 +50,14 @@
 %install
 make install DESTDIR=$RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
-for i in account auth password session ; do
-  touch $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/common-$i-pc
-done
+install -m 644 %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/
+install -m 644 %SOURCE2 $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/
+install -m 644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/
+install -m 644 %SOURCE4 $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/
 %{find_lang} pam-config
 
 %post
-if [ ! -f /etc/pam.d/common-auth-pc ] ; then
+if [ "$1" = "1" ]; then
   pam-config --debug --create --force
 else
   pam-config --debug --update ||:
@@ -82,9 +88,9 @@
 %defattr(-,root,root)
 %{_sbindir}/pam-config
 %doc %{_mandir}/man8/pam-config.8*
-%ghost %config %{_sysconfdir}/pam.d/common-account-pc
-%ghost %config %{_sysconfdir}/pam.d/common-auth-pc
-%ghost %config %{_sysconfdir}/pam.d/common-password-pc
-%ghost %config %{_sysconfdir}/pam.d/common-session-pc
+%config %{_sysconfdir}/pam.d/common-account-pc
+%config %{_sysconfdir}/pam.d/common-auth-pc
+%config %{_sysconfdir}/pam.d/common-password-pc
+%config %{_sysconfdir}/pam.d/common-session-pc
 
 %changelog

++ common-account-pc ++
#%PAM-1.0
#
# This file is autogenerated by pam-config. All changes
# will be overwritten.
#
# Account-related modules common to all services
#
# This file is included from other service-specific PAM config files,
# and should contain a list of the account modules that define
# the central access policy for use on the system.  The default is to
# only deny service to users whose accounts are expired.
#
account requiredpam_unix.so try_first_pass 
++ common-auth-pc ++
#%PAM-1.0
#
# This file is autogenerated by pam-config. All changes
# will be overwritten.
#
# Authentication-related modules common to all services
#
# This file is included from other service-specific PAM config files,
# and should contain a list of the authentication modules that define
# the central authentication scheme for use on the system
# (e.g., /etc/shadow, LDAP, Kerberos, etc.). The default is to use the
# traditional Unix authentication mechanisms.
#
authrequiredpam_env.so  
authrequiredpam_unix.so try_first_pass 
++ common-password-pc ++
#%PAM-1.0
#
# This file is autogenerated by pam-config. All changes
# will be overwritten.
#
# Password-related modules common to all services
#
# This file is included from other service-specific PAM config files,
# and should contain a list of modules that define  the services to be
# used to change user passwords.
#
passwordrequisite   pam_cracklib.so 
passwordrequiredpam_unix.so use_authtok nullok shadow 
try_first_pass 
++ common-session-pc ++
#%PAM-1.0
#
# This file is autogenerated by pam-config. All changes
# will be overwritten.
#
# Session-related modules common to all services
#

commit resource-agents for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package resource-agents for openSUSE:Factory 
checked in at 2016-06-05 14:19:09

Comparing /work/SRC/openSUSE:Factory/resource-agents (Old)
 and  /work/SRC/openSUSE:Factory/.resource-agents.new (New)


Package is "resource-agents"

Changes:

--- /work/SRC/openSUSE:Factory/resource-agents/resource-agents.changes  
2016-05-23 17:30:44.0 +0200
+++ /work/SRC/openSUSE:Factory/.resource-agents.new/resource-agents.changes 
2016-06-05 14:19:18.0 +0200
@@ -1,0 +2,8 @@
+Mon May 30 11:12:24 UTC 2016 - kgronl...@suse.com
+
+- Medium: ldirectord: Remove IPv6 workaround (bsc#977193)
+- Medium: CTDB: Use --logging syntax for ctdbd (bsc#981863)
+- Add 0001-Medium-ldirectord-Remove-IPv6-workaround-bsc-977193.patch
+- Add 0001-Medium-CTDB-Use-logging-syntax-for-ctdbd-bsc-981863.patch 
+
+---

New:

  0001-Medium-CTDB-Use-logging-syntax-for-ctdbd-bsc-981863.patch
  0001-Medium-ldirectord-Remove-IPv6-workaround-bsc-977193.patch



Other differences:
--
++ resource-agents.spec ++
--- /var/tmp/diff_new_pack.nweEEM/_old  2016-06-05 14:19:19.0 +0200
+++ /var/tmp/diff_new_pack.nweEEM/_new  2016-06-05 14:19:19.0 +0200
@@ -62,6 +62,10 @@
 Patch4: no-var-lock-subsys.patch
 # PATCH-FIX-OPENSUSE: Revert moving binaries to /usr/libexec
 Patch8: 0006-Revert-Low-build-Move-binaries-in-usr-lib-heartbeat-.patch
+# PATCH-FIX-OPENSUSE: Medium: ldirectord: Remove IPv6 workaround (bsc#977193)
+Patch9: 0001-Medium-ldirectord-Remove-IPv6-workaround-bsc-977193.patch
+# PATCH-FIX-OPENSUSE: Medium: CTDB: Use --logging syntax for ctdbd (bsc#981863)
+Patch10:0001-Medium-CTDB-Use-logging-syntax-for-ctdbd-bsc-981863.patch
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Obsoletes:  heartbeat-resources

++ 0001-Medium-CTDB-Use-logging-syntax-for-ctdbd-bsc-981863.patch ++
>From 968f22a83ca96ab1ee2fc313f3daa93b7985c028 Mon Sep 17 00:00:00 2001
From: James McDonough 
Date: Mon, 30 May 2016 13:10:10 +0200
Subject: [PATCH] Medium: CTDB: Use --logging syntax for ctdbd (bsc#981863)

The --logfile parameter in ctdb has been replaced with
--logging, which allows for file: or syslog:.
---
 heartbeat/CTDB | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/heartbeat/CTDB b/heartbeat/CTDB
index 6cfff63..b2c0775 100755
--- a/heartbeat/CTDB
+++ b/heartbeat/CTDB
@@ -566,9 +566,9 @@ ctdb_start() {
enable_event_scripts
 
# Use logfile by default, or syslog if asked for
-   local log_option="--logfile=$OCF_RESKEY_ctdb_logfile"
+   local log_option="--logging=file:$OCF_RESKEY_ctdb_logfile"
if [ "$OCF_RESKEY_ctdb_logfile" = "syslog" ]; then
-   log_option="--syslog"
+   log_option="--logging=syslog"
elif [ ! -d "$(dirname $OCF_RESKEY_ctdb_logfile)" ]; then
# ensure the logfile's directory exists, otherwise ctdb will 
fail to start
mkdir -p $(dirname $OCF_RESKEY_ctdb_logfile)
-- 
2.8.3

++ 0001-Medium-ldirectord-Remove-IPv6-workaround-bsc-977193.patch ++
>From 83035ab9ba49df643767d70162951b42b2c6356c Mon Sep 17 00:00:00 2001
From: Michal Koutny 
Date: Tue, 26 Apr 2016 16:20:07 +0200
Subject: [PATCH] Medium: ldirectord: Remove IPv6 workaround (bsc#977193)

Remove workaround for missing IPv6 support in perl-libwww.

The workaround causes issues in a mixed IPv4 and IPv6 environment,
as it overwrites the global EXTRA_SOCK_OPTS.

The underlying issue is fixed with libwww-perl/net-http#10 and 
libwww-perl/libwww-perl#58.

I would suggest that users and distributions make sure that their
version of libwww-perl has those patches applied, instead of trying
to work around the problem in ldirectord.

Version 6.080 of libwww-perl includes the patches.

The related CPAN issue suggests an alternative workaround if that is
not possible, see https://rt.cpan.org/Public/Bug/Display.html?id=75618
---
 ldirectord/ldirectord.in | 4 
 1 file changed, 4 deletions(-)

diff --git a/ldirectord/ldirectord.in b/ldirectord/ldirectord.in
index c65770c..81c6680 100644
--- a/ldirectord/ldirectord.in
+++ b/ldirectord/ldirectord.in
@@ -2864,10 +2864,6 @@ sub check_http
if (inet_pton(AF_INET6,_strip_brackets($host))) {
no warnings 'once';
require Net::INET6Glue::INET_is_INET6;
-   # Workaround for Net-HTTP IPv6 Address URLs Broken
-   @LWP::Protocol::http::EXTRA_SOCK_OPTS = (PeerAddr => $host,
-PeerHost => 
_strip_brackets($host),
-  

commit MozillaThunderbird for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package MozillaThunderbird for 
openSUSE:Factory checked in at 2016-06-05 14:19:03

Comparing /work/SRC/openSUSE:Factory/MozillaThunderbird (Old)
 and  /work/SRC/openSUSE:Factory/.MozillaThunderbird.new (New)


Package is "MozillaThunderbird"

Changes:

--- /work/SRC/openSUSE:Factory/MozillaThunderbird/MozillaThunderbird.changes
2016-05-31 12:11:22.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.MozillaThunderbird.new/MozillaThunderbird.changes   
2016-06-05 14:19:04.0 +0200
@@ -1,0 +2,13 @@
+Fri May 27 12:51:23 UTC 2016 - w...@rosenauer.org
+
+- update to Thunderbird 45.1.1
+  * When entering members into a mailing list, the enter key
+dismissed the panel instead of just moving onto the next line
+  * Email without HTML elements was sent as HTML, despite
+"Delivery Format: Auto-detect" option
+  * Options applied to a template were lost when the template was used
+  * Contacts could not be deleted when they were found through a search
+  * Views from global searches did not respect
+"mail.threadpane.use_correspondents"
+
+---

Old:

  l10n-45.1.0.tar.xz
  thunderbird-45.1.0-source.tar.xz

New:

  l10n-45.1.1.tar.xz
  thunderbird-45.1.1-source.tar.xz



Other differences:
--
++ MozillaThunderbird.spec ++
--- /var/tmp/diff_new_pack.QqpyrD/_old  2016-06-05 14:19:17.0 +0200
+++ /var/tmp/diff_new_pack.QqpyrD/_new  2016-06-05 14:19:17.0 +0200
@@ -17,9 +17,9 @@
 #
 
 
-%define mainversion 45.1.0
+%define mainversion 45.1.1
 %define update_channel release
-%define releasedate 2016050700
+%define releasedate 2016052700
 
 %if %suse_version > 1310
 %define gstreamer_ver 1.0


++ compare-locales.tar.xz ++

++ create-tar.sh ++
--- /var/tmp/diff_new_pack.QqpyrD/_old  2016-06-05 14:19:17.0 +0200
+++ /var/tmp/diff_new_pack.QqpyrD/_new  2016-06-05 14:19:17.0 +0200
@@ -2,8 +2,8 @@
 
 CHANNEL="esr45"
 BRANCH="releases/comm-$CHANNEL"
-RELEASE_TAG="THUNDERBIRD_45_1_0_RELEASE"
-VERSION="45.1.0"
+RELEASE_TAG="THUNDERBIRD_45_1_1_RELEASE"
+VERSION="45.1.1"
 
 echo "cloning $BRANCH..."
 hg clone http://hg.mozilla.org/$BRANCH thunderbird

++ l10n-45.1.0.tar.xz -> l10n-45.1.1.tar.xz ++
/work/SRC/openSUSE:Factory/MozillaThunderbird/l10n-45.1.0.tar.xz 
/work/SRC/openSUSE:Factory/.MozillaThunderbird.new/l10n-45.1.1.tar.xz differ: 
char 26, line 1

++ thunderbird-45.1.0-source.tar.xz -> thunderbird-45.1.1-source.tar.xz 
++
/work/SRC/openSUSE:Factory/MozillaThunderbird/thunderbird-45.1.0-source.tar.xz 
/work/SRC/openSUSE:Factory/.MozillaThunderbird.new/thunderbird-45.1.1-source.tar.xz
 differ: char 26, line 1





commit obs-service-source_validator for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package obs-service-source_validator for 
openSUSE:Factory checked in at 2016-06-05 14:19:18

Comparing /work/SRC/openSUSE:Factory/obs-service-source_validator (Old)
 and  /work/SRC/openSUSE:Factory/.obs-service-source_validator.new (New)


Package is "obs-service-source_validator"

Changes:

--- 
/work/SRC/openSUSE:Factory/obs-service-source_validator/obs-service-source_validator.changes
2016-03-07 13:37:09.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.obs-service-source_validator.new/obs-service-source_validator.changes
   2016-06-05 14:19:19.0 +0200
@@ -1,0 +2,11 @@
+Tue May 31 11:31:57 UTC 2016 - opensuse-packag...@opensuse.org
+
+- Update to version 0.6+git20160531.fbfe336:
+  * baselibs.conf: targetname is a valid keyword
+  * added checker for filenames
+* additional fixes for  boo#967610 and bsc#967265
+  * enhanced regex to check
+  * better quoting and checks for dot files
+  * filter out single/double quotes and grave accent from filenames
+
+---

Old:

  obs-service-source_validator-0.6+git20160222.62c56d3.tar.bz2

New:

  obs-service-source_validator-0.6+git20160531.fbfe336.tar.bz2



Other differences:
--
++ obs-service-source_validator.spec ++
--- /var/tmp/diff_new_pack.V3J1zp/_old  2016-06-05 14:19:20.0 +0200
+++ /var/tmp/diff_new_pack.V3J1zp/_new  2016-06-05 14:19:20.0 +0200
@@ -20,7 +20,7 @@
 Summary:An OBS source service: running all the osc source-validator 
checks
 License:GPL-2.0+
 Group:  Development/Tools/Building
-Version:0.6+git20160222.62c56d3
+Version:0.6+git20160531.fbfe336
 Release:0
 # use osc service dr to update
 Source: %{name}-%{version}.tar.bz2

++ _servicedata ++
--- /var/tmp/diff_new_pack.V3J1zp/_old  2016-06-05 14:19:20.0 +0200
+++ /var/tmp/diff_new_pack.V3J1zp/_new  2016-06-05 14:19:20.0 +0200
@@ -1,4 +1,4 @@
 
 
 git://github.com/openSUSE/obs-service-source_validator.git
-  62c56d3c13eb95c40cadff4d1e036d947c800ad4
\ No newline at end of file
+  fbfe33626da76dfff3004b197658c7de3e2ca5da
\ No newline at end of file

++ debian.dsc ++
--- /var/tmp/diff_new_pack.V3J1zp/_old  2016-06-05 14:19:20.0 +0200
+++ /var/tmp/diff_new_pack.V3J1zp/_new  2016-06-05 14:19:20.0 +0200
@@ -1,6 +1,6 @@
 Format: 1.0
 Source: obs-service-source-validator
-Version: 0.6+git20160222.62c56d3
+Version: 0.6+git20160531.fbfe336
 Binary: obs-service-source-validator
 Maintainer: Hib Eris 
 Architecture: all

++ obs-service-source_validator-0.6+git20160222.62c56d3.tar.bz2 -> 
obs-service-source_validator-0.6+git20160531.fbfe336.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/obs-service-source_validator-0.6+git20160222.62c56d3/20-files-present-and-referenced
 
new/obs-service-source_validator-0.6+git20160531.fbfe336/20-files-present-and-referenced
--- 
old/obs-service-source_validator-0.6+git20160222.62c56d3/20-files-present-and-referenced
2016-02-22 18:29:48.0 +0100
+++ 
new/obs-service-source_validator-0.6+git20160531.fbfe336/20-files-present-and-referenced
2016-05-31 13:31:57.0 +0200
@@ -6,6 +6,8 @@
 DESTINATIONDIR=$2
 OSC_MODE=""
 test -n "$DIR_TO_CHECK" || DIR_TO_CHECK=`pwd`
+HELPERS_DIR="/usr/lib/obs/service/source_validators/helpers"
+$HELPERS_DIR/check_input_filename "$DIR_TO_CHECK" || exit 1
 test -z "$DESTINATIONDIR" -a -d "$DIR_TO_CHECK/.osc" && {
DESTINATIONDIR="$DIR_TO_CHECK/.osc"
OSC_MODE="true"
@@ -52,7 +54,7 @@
 ;;
 esac
 for i in $DIR_TO_CHECK/*.spec ; do
-test -f $i || continue
+test -f "$i" || continue
sed '/^#%([^)]*$/,/^[^(]*)/d
/^#[^%]/d
/^#%(.*)/d
@@ -123,9 +125,9 @@
s/^Release:.*/Release: 0/
s/^\(Release:.*\)\(.*\)/\1_\2/
s/^\(Release:.*\)\(.*\)/\1_\2/' $i >$TMPDIR/tmp.spec
-   grep -a ^Icon: $i|sed -n 's/^Icon:[ ]*/%{echo:/
+   grep -a ^Icon: "$i"|sed -n 's/^Icon:[   ]*/%{echo:/
/^%{echo:/s/$/ }/p' >>$TMPDIR/tmp.spec
-   grep -a -q ^Release $i || {
+   grep -a -q ^Release "$i" || {
  sed -e "/^Version/{;p;s@\(.*\)@Release: 0\
@;}" $TMPDIR/tmp.spec > $TMPDIR/tmp.spec.new
 mv $TMPDIR/tmp.spec.new $TMPDIR/tmp.spec
}
@@ -135,7 +137,7 @@
done
while read line ; do
grep -qx "##seen $line" $TMPDIR/tmp.spec || echo "$line" | sed -e 
"s/^\(\([Ss]ource\|[Pp]atch\)[0-9]*:[]*\)\(.*\)/##seen \1\3\n%{echo:\3 }/" 

commit libzip for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package libzip for openSUSE:Factory checked 
in at 2016-06-05 14:18:48

Comparing /work/SRC/openSUSE:Factory/libzip (Old)
 and  /work/SRC/openSUSE:Factory/.libzip.new (New)


Package is "libzip"

Changes:

--- /work/SRC/openSUSE:Factory/libzip/libzip.changes2016-02-28 
02:25:56.0 +0100
+++ /work/SRC/openSUSE:Factory/.libzip.new/libzip.changes   2016-06-05 
14:18:49.0 +0200
@@ -1,0 +2,6 @@
+Mon May 30 06:50:16 UTC 2016 - mplus...@suse.com
+
+- Update to version 1.1.3:
+  * Fix build on Windows when using autoconf.
+
+---

Old:

  libzip-1.1.2.tar.xz

New:

  libzip-1.1.3.tar.xz



Other differences:
--
++ libzip.spec ++
--- /var/tmp/diff_new_pack.2qOce4/_old  2016-06-05 14:18:50.0 +0200
+++ /var/tmp/diff_new_pack.2qOce4/_new  2016-06-05 14:18:50.0 +0200
@@ -19,7 +19,7 @@
 %define soname 4
 
 Name:   libzip
-Version:1.1.2
+Version:1.1.3
 Release:0
 Summary:C library for reading, creating, and modifying zip archives
 License:BSD-3-Clause
@@ -115,7 +115,7 @@
 
 %files devel
 %defattr(-,root,root)
-%doc AUTHORS API-CHANGES NEWS THANKS
+%doc AUTHORS API-CHANGES NEWS.md THANKS
 %{_libdir}/%{name}.so
 %{_includedir}/zip.h
 %{_includedir}/zipconf.h

++ libzip-1.1.2.tar.xz -> libzip-1.1.3.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libzip-1.1.2/CMakeLists.txt 
new/libzip-1.1.3/CMakeLists.txt
--- old/libzip-1.1.2/CMakeLists.txt 2016-02-19 15:21:25.0 +0100
+++ new/libzip-1.1.3/CMakeLists.txt 2016-05-28 11:35:24.0 +0200
@@ -20,7 +20,7 @@
 SET(PACKAGE_NAME ${PACKAGE})
 SET(PACKAGE_VERSION_MAJOR "1")
 SET(PACKAGE_VERSION_MINOR "1")
-SET(PACKAGE_VERSION_PATCH "2")
+SET(PACKAGE_VERSION_PATCH "3")
 #SET(VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}")
 SET(VERSION 
"${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}")
 SET(PACKAGE_VERSION ${VERSION})
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libzip-1.1.2/Makefile.am new/libzip-1.1.3/Makefile.am
--- old/libzip-1.1.2/Makefile.am2014-09-23 15:45:49.0 +0200
+++ new/libzip-1.1.3/Makefile.am2016-04-07 14:11:04.0 +0200
@@ -9,12 +9,15 @@
 pkgconfig_DATA = libzip.pc
 
 EXTRA_DIST=API-CHANGES \
-   LICENSE \
CMakeLists.txt \
+   LICENSE \
+   NEWS.md \
+   README.md \
+   TODO.md \
cmake-config.h.in \
cmake-zipconf.h.in \
-   libzip.pc.in \
libzip-uninstalled.pc.in \
+   libzip.pc.in \
m4
 
 dist-hook:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libzip-1.1.2/Makefile.in new/libzip-1.1.3/Makefile.in
--- old/libzip-1.1.2/Makefile.in2016-02-19 15:21:44.0 +0100
+++ new/libzip-1.1.3/Makefile.in2016-05-28 11:36:01.0 +0200
@@ -192,8 +192,8 @@
 DIST_SUBDIRS = $(SUBDIRS)
 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
$(srcdir)/libzip-uninstalled.pc.in $(srcdir)/libzip.pc.in \
-   AUTHORS INSTALL NEWS THANKS compile config.guess config.sub \
-   depcomp install-sh ltmain.sh missing
+   AUTHORS INSTALL THANKS compile config.guess config.sub depcomp \
+   install-sh ltmain.sh missing
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 distdir = $(PACKAGE)-$(VERSION)
 top_distdir = $(distdir)
@@ -362,12 +362,15 @@
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = libzip.pc
 EXTRA_DIST = API-CHANGES \
-   LICENSE \
CMakeLists.txt \
+   LICENSE \
+   NEWS.md \
+   README.md \
+   TODO.md \
cmake-config.h.in \
cmake-zipconf.h.in \
-   libzip.pc.in \
libzip-uninstalled.pc.in \
+   libzip.pc.in \
m4
 
 all: config.h
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libzip-1.1.2/NEWS new/libzip-1.1.3/NEWS
--- old/libzip-1.1.2/NEWS   2016-02-19 15:21:10.0 +0100
+++ new/libzip-1.1.3/NEWS   1970-01-01 01:00:00.0 +0100
@@ -1,135 +0,0 @@
-1.1.2 [2016/02/19]
-
-* Improve support for 3MF files
-
-1.1.1 [2016/02/07]
-
-* Build fixes for Linux
-* Fix some warnings reported by PVS-Studio
-
-1.1 [2016/01/26]
-
-* ziptool(1): command line tool to modify zip archives
-* Speedups for archives with many entries
-* 

commit icewm for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package icewm for openSUSE:Factory checked 
in at 2016-06-05 14:18:28

Comparing /work/SRC/openSUSE:Factory/icewm (Old)
 and  /work/SRC/openSUSE:Factory/.icewm.new (New)


Package is "icewm"

Changes:

--- /work/SRC/openSUSE:Factory/icewm/icewm.changes  2016-03-16 
10:25:34.0 +0100
+++ /work/SRC/openSUSE:Factory/.icewm.new/icewm.changes 2016-06-05 
14:18:29.0 +0200
@@ -1,0 +2,6 @@
+Thu Jun  2 11:30:11 UTC 2016 - tchva...@suse.com
+
+- Use just xlockmore wrt fate#320737
+  * icewm-preferences.patch
+
+---



Other differences:
--
++ icewm.spec ++
--- /var/tmp/diff_new_pack.mdwN86/_old  2016-06-05 14:18:30.0 +0200
+++ /var/tmp/diff_new_pack.mdwN86/_new  2016-06-05 14:18:30.0 +0200
@@ -68,6 +68,8 @@
 # If you have the choice, prefer the big one.
 Recommends: icewm-default
 Recommends: icewm-lang = %{version}
+# For locking you need xlockmore
+Recommends: xlockmore
 Provides:   icewm-gnome = %{version}
 Obsoletes:  icewm-gnome < %{version}
 Provides:   windowmanager

++ icewm-preferences.patch ++
--- /var/tmp/diff_new_pack.mdwN86/_old  2016-06-05 14:18:30.0 +0200
+++ /var/tmp/diff_new_pack.mdwN86/_new  2016-06-05 14:18:30.0 +0200
@@ -35,7 +35,7 @@
  
  #  Command to lock display/screensaver
 -# LockCommand=""
-+LockCommand="xscreensaver-command -lock || xlock -mousemotion"
++LockCommand="xlock -mousemotion"
  
  #  Command to run on clock
  # ClockCommand="xclock -name icewm -title Clock"




commit php5 for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package php5 for openSUSE:Factory checked in 
at 2016-06-05 14:18:55

Comparing /work/SRC/openSUSE:Factory/php5 (Old)
 and  /work/SRC/openSUSE:Factory/.php5.new (New)


Package is "php5"

Changes:

--- /work/SRC/openSUSE:Factory/php5/php5.changes2016-05-04 
08:17:43.0 +0200
+++ /work/SRC/openSUSE:Factory/.php5.new/php5.changes   2016-06-05 
14:18:57.0 +0200
@@ -1,0 +2,6 @@
+Mon May 30 09:33:31 UTC 2016 - pgaj...@suse.com
+
+- updated to 5.6.22: This is a security release. Several security 
+  bugs were fixed in this release.
+
+---

Old:

  php-5.6.21.tar.xz
  php-5.6.21.tar.xz.asc

New:

  php-5.6.22.tar.xz
  php-5.6.22.tar.xz.asc



Other differences:
--
++ php5.spec ++
--- /var/tmp/diff_new_pack.iocvQP/_old  2016-06-05 14:18:59.0 +0200
+++ /var/tmp/diff_new_pack.iocvQP/_new  2016-06-05 14:18:59.0 +0200
@@ -46,7 +46,7 @@
 %define need_libxml2_hack %(if [ -e %{_includedir}/libxml/parser.h ]; then if 
grep -q XML_PARSE_OLDSAX %{_includedir}/libxml/parser.h; then echo 1; else echo 
0; fi; else echo 0; fi)
 
 Name:   php5
-Version:5.6.21
+Version:5.6.22
 Release:0
 Summary:PHP5 Core Files
 License:PHP-3.01

++ php-5.6.21.tar.xz -> php-5.6.22.tar.xz ++
/work/SRC/openSUSE:Factory/php5/php-5.6.21.tar.xz 
/work/SRC/openSUSE:Factory/.php5.new/php-5.6.22.tar.xz differ: char 27, line 1





commit python-funcsigs for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package python-funcsigs for openSUSE:Factory 
checked in at 2016-06-05 14:18:21

Comparing /work/SRC/openSUSE:Factory/python-funcsigs (Old)
 and  /work/SRC/openSUSE:Factory/.python-funcsigs.new (New)


Package is "python-funcsigs"

Changes:

--- /work/SRC/openSUSE:Factory/python-funcsigs/python-funcsigs.changes  
2015-08-07 00:22:04.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-funcsigs.new/python-funcsigs.changes 
2016-06-05 14:18:22.0 +0200
@@ -1,0 +2,7 @@
+Thu Jun  2 07:39:23 UTC 2016 - tbecht...@suse.com
+
+- update to 1.0.2:
+  No changelog provided.
+- use pypi.io as Source url
+
+---

Old:

  funcsigs-0.4.tar.gz

New:

  funcsigs-1.0.2.tar.gz



Other differences:
--
++ python-funcsigs.spec ++
--- /var/tmp/diff_new_pack.Nv5FVx/_old  2016-06-05 14:18:23.0 +0200
+++ /var/tmp/diff_new_pack.Nv5FVx/_new  2016-06-05 14:18:23.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-funcsigs
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,13 +17,13 @@
 
 
 Name:   python-funcsigs
-Version:0.4
+Version:1.0.2
 Release:0
 Summary:Python function signatures from PEP362
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:http://funcsigs.readthedocs.org
-Source: 
https://pypi.python.org/packages/source/f/funcsigs/funcsigs-%{version}.tar.gz
+Source: 
https://pypi.io/packages/source/f/funcsigs/funcsigs-%{version}.tar.gz
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-unittest2

++ funcsigs-0.4.tar.gz -> funcsigs-1.0.2.tar.gz ++
 2146 lines of diff (skipped)




commit yast2-storage for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package yast2-storage for openSUSE:Factory 
checked in at 2016-06-05 14:18:09

Comparing /work/SRC/openSUSE:Factory/yast2-storage (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-storage.new (New)


Package is "yast2-storage"

Changes:

--- /work/SRC/openSUSE:Factory/yast2-storage/yast2-storage.changes  
2016-05-10 09:26:22.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-storage.new/yast2-storage.changes 
2016-06-05 14:18:11.0 +0200
@@ -1,0 +2,6 @@
+Wed May 25 22:05:37 UTC 2016 - dmuel...@suse.de
+
+- raise /boot partitioning size for BTRFS/aarch64 even further (bsc#979037)
+- 3.1.93
+
+---

Old:

  yast2-storage-3.1.92.tar.bz2

New:

  yast2-storage-3.1.93.tar.bz2



Other differences:
--
++ yast2-storage.spec ++
--- /var/tmp/diff_new_pack.uV27vD/_old  2016-06-05 14:18:12.0 +0200
+++ /var/tmp/diff_new_pack.uV27vD/_new  2016-06-05 14:18:12.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-storage
-Version:3.1.92
+Version:3.1.93
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ yast2-storage-3.1.92.tar.bz2 -> yast2-storage-3.1.93.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-storage-3.1.92/package/yast2-storage.changes 
new/yast2-storage-3.1.93/package/yast2-storage.changes
--- old/yast2-storage-3.1.92/package/yast2-storage.changes  2016-05-06 
08:50:48.0 +0200
+++ new/yast2-storage-3.1.93/package/yast2-storage.changes  2016-06-01 
09:38:32.0 +0200
@@ -1,4 +1,10 @@
 ---
+Wed May 25 22:05:37 UTC 2016 - dmuel...@suse.de
+
+- raise /boot partitioning size for BTRFS/aarch64 even further (bsc#979037)
+- 3.1.93
+
+---
 Fri May  6 06:33:40 UTC 2016 - jsr...@suse.cz
 
 - fixed error in porting bsc#957913 to master branch
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-storage-3.1.92/package/yast2-storage.spec 
new/yast2-storage-3.1.93/package/yast2-storage.spec
--- old/yast2-storage-3.1.92/package/yast2-storage.spec 2016-05-06 
08:50:48.0 +0200
+++ new/yast2-storage-3.1.93/package/yast2-storage.spec 2016-06-01 
09:38:32.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-storage
-Version:3.1.92
+Version:3.1.93
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yast2-storage-3.1.92/src/modules/Partitions.rb 
new/yast2-storage-3.1.93/src/modules/Partitions.rb
--- old/yast2-storage-3.1.92/src/modules/Partitions.rb  2016-05-06 
08:50:48.0 +0200
+++ new/yast2-storage-3.1.93/src/modules/Partitions.rb  2016-06-01 
09:38:32.0 +0200
@@ -227,8 +227,9 @@
 
 if Arch.aarch64
   # Has higher requirements on BTRFS since pagesize==sectorsize = 64k
-  Ops.set(@boot_size_k, :proposed, 500 * 1024)
-  Ops.set(@boot_size_k, :minimal, 490 * 1024)
+  # See bsc#979037
+  Ops.set(@boot_size_k, :proposed, 660 * 1024)
+  Ops.set(@boot_size_k, :minimal, 650 * 1024)
 elsif Arch.ia64
   Ops.set(@boot_size_k, :proposed, 200 * 1024)
   Ops.set(@boot_size_k, :minimal, 180 * 1024)




commit rubygem-fast_gettext for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package rubygem-fast_gettext for 
openSUSE:Factory checked in at 2016-06-05 14:18:15

Comparing /work/SRC/openSUSE:Factory/rubygem-fast_gettext (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-fast_gettext.new (New)


Package is "rubygem-fast_gettext"

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-fast_gettext/rubygem-fast_gettext.changes
2015-10-24 10:23:35.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-fast_gettext.new/rubygem-fast_gettext.changes
   2016-06-05 14:18:16.0 +0200
@@ -1,0 +2,6 @@
+Tue May 31 04:28:56 UTC 2016 - co...@suse.com
+
+- updated to version 1.1.0
+ see installed CHANGELOG
+
+---

Old:

  fast_gettext-1.0.0.gem

New:

  fast_gettext-1.1.0.gem



Other differences:
--
++ rubygem-fast_gettext.spec ++
--- /var/tmp/diff_new_pack.WExlVX/_old  2016-06-05 14:18:17.0 +0200
+++ /var/tmp/diff_new_pack.WExlVX/_new  2016-06-05 14:18:17.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-fast_gettext
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-fast_gettext
-Version:1.0.0
+Version:1.1.0
 Release:0
 %define mod_name fast_gettext
 %define mod_full_name %{mod_name}-%{version}

++ fast_gettext-1.0.0.gem -> fast_gettext-1.1.0.gem ++
Files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/fast_gettext/mo_file.rb 
new/lib/fast_gettext/mo_file.rb
--- old/lib/fast_gettext/mo_file.rb 2015-10-14 22:45:49.0 +0200
+++ new/lib/fast_gettext/mo_file.rb 2016-05-30 17:54:15.0 +0200
@@ -6,17 +6,13 @@
 PLURAL_SEPERATOR = "\000"
 
 # file => path or FastGettext::GetText::MOFile
-def initialize(file)
-  if file.is_a? FastGettext::GetText::MOFile
-@data = file
-  else
-@data = FastGettext::GetText::MOFile.open(file, "UTF-8")
-  end
-  make_singular_and_plural_available
+def initialize(file, options={})
+  @filename = file
+  load_data if options[:eager_load]
 end
 
 def [](key)
-  @data[key]
+  data[key]
 end
 
 #returns the plural forms or all singular translations that where found
@@ -28,7 +24,7 @@
 def pluralisation_rule
   #gettext uses 0 as default rule, which would turn off all pluralisation, 
very clever...
   #additionally parsing fails when directly accessing po files, so this 
line was taken from gettext/mofile
-  (@data['']||'').split("\n").each do |line|
+  (data['']||'').split("\n").each do |line|
 return lambda{|n|eval($2)} if 
/^Plural-Forms:\s*nplurals\s*\=\s*(\d*);\s*plural\s*\=\s*([^;]*)\n?/ =~ line
   end
   nil
@@ -40,6 +36,20 @@
 
 private
 
+def data
+  load_data if @data.nil?
+  @data
+end
+
+def load_data
+  @data = if @filename.is_a? FastGettext::GetText::MOFile
+@filename
+  else
+FastGettext::GetText::MOFile.open(@filename, "UTF-8")
+  end
+  make_singular_and_plural_available
+end
+
 #(if plural==singular, prefer singular)
 def make_singular_and_plural_available
   data = {}
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/fast_gettext/po_file.rb 
new/lib/fast_gettext/po_file.rb
--- old/lib/fast_gettext/po_file.rb 2015-10-14 22:45:49.0 +0200
+++ new/lib/fast_gettext/po_file.rb 2016-05-30 17:54:15.0 +0200
@@ -2,8 +2,28 @@
 module FastGettext
   # Responsibility:
   #  - abstract po files for Po Repository
-  class PoFile
+  class PoFile < MoFile
+def initialize(file, options={})
+  @options = options
+  super
+end
+
 def self.to_mo_file(file, options={})
+  MoFile.new(parse_po_file(file, options))
+end
+
+protected
+
+def load_data
+  @data = if @filename.is_a? FastGettext::GetText::MOFile
+@filename
+  else
+FastGettext::PoFile.parse_po_file(@filename, @options)
+  end
+  make_singular_and_plural_available
+end
+
+def self.parse_po_file(file, options={})
   require 'fast_gettext/vendor/poparser'
   parser = FastGettext::GetText::PoParser.new
 
@@ -13,7 +33,7 @@
 
   mo_file = FastGettext::GetText::MOFile.new
   parser.parse(File.read(file), mo_file)
-  MoFile.new(mo_file)
+  mo_file

commit autoyast2 for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package autoyast2 for openSUSE:Factory 
checked in at 2016-06-05 14:18:03

Comparing /work/SRC/openSUSE:Factory/autoyast2 (Old)
 and  /work/SRC/openSUSE:Factory/.autoyast2.new (New)


Package is "autoyast2"

Changes:

--- /work/SRC/openSUSE:Factory/autoyast2/autoyast2.changes  2016-05-23 
16:37:26.0 +0200
+++ /work/SRC/openSUSE:Factory/.autoyast2.new/autoyast2.changes 2016-06-05 
14:18:04.0 +0200
@@ -1,0 +2,7 @@
+Wed May 25 13:50:40 CEST 2016 - sch...@suse.de
+
+- AutoYaST support for ssh_import module.
+  Fate#319624
+- 3.1.129
+
+---

Old:

  autoyast2-3.1.128.tar.bz2

New:

  autoyast2-3.1.129.tar.bz2



Other differences:
--
++ autoyast2.spec ++
--- /var/tmp/diff_new_pack.9BF95x/_old  2016-06-05 14:18:05.0 +0200
+++ /var/tmp/diff_new_pack.9BF95x/_new  2016-06-05 14:18:05.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   autoyast2
-Version:3.1.128
+Version:3.1.129
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ autoyast2-3.1.128.tar.bz2 -> autoyast2-3.1.129.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/autoyast2-3.1.128/package/autoyast2.changes 
new/autoyast2-3.1.129/package/autoyast2.changes
--- old/autoyast2-3.1.128/package/autoyast2.changes 2016-05-20 
11:01:09.0 +0200
+++ new/autoyast2-3.1.129/package/autoyast2.changes 2016-05-31 
11:11:33.0 +0200
@@ -1,4 +1,11 @@
 ---
+Wed May 25 13:50:40 CEST 2016 - sch...@suse.de
+
+- AutoYaST support for ssh_import module.
+  Fate#319624
+- 3.1.129
+
+---
 Thu May 19 14:46:11 CEST 2016 - sch...@suse.de
 
 - Unsupported sections will be now reported in first installation
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/autoyast2-3.1.128/package/autoyast2.spec 
new/autoyast2-3.1.129/package/autoyast2.spec
--- old/autoyast2-3.1.128/package/autoyast2.spec2016-05-20 
11:01:09.0 +0200
+++ new/autoyast2-3.1.129/package/autoyast2.spec2016-05-31 
11:11:33.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   autoyast2
-Version:3.1.128
+Version:3.1.129
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/autoyast2-3.1.128/src/Makefile.am 
new/autoyast2-3.1.129/src/Makefile.am
--- old/autoyast2-3.1.128/src/Makefile.am   2016-05-20 11:01:09.0 
+0200
+++ new/autoyast2-3.1.129/src/Makefile.am   2016-05-31 11:11:33.0 
+0200
@@ -93,6 +93,7 @@
   autoyast-rnc/classes-use.rnc \
   autoyast-rnc/classes-decl.rnc \
   autoyast-rnc/software.rnc \
+  autoyast-rnc/ssh-import.rnc \
   autoyast-rnc/reporting.rnc \
   autoyast-rnc/partitioning.rnc \
   autoyast-rnc/profile-misc.rnc \
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/autoyast2-3.1.128/src/autoyast-rnc/ssh-import.rnc 
new/autoyast2-3.1.129/src/autoyast-rnc/ssh-import.rnc
--- old/autoyast2-3.1.128/src/autoyast-rnc/ssh-import.rnc   1970-01-01 
01:00:00.0 +0100
+++ new/autoyast2-3.1.129/src/autoyast-rnc/ssh-import.rnc   2016-05-31 
11:11:33.0 +0200
@@ -0,0 +1,10 @@
+default namespace = "http://www.suse.com/1.0/yast2ns;
+namespace config = "http://www.suse.com/1.0/configns;
+namespace a = "http://relaxng.org/ns/compatibility/annotations/1.0;
+
+ssh_import =
+  element ssh_import {
+element import { BOOLEAN }? &
+element config { BOOLEAN }? &
+element device { text }?
+  }
\ No newline at end of file
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/autoyast2-3.1.128/src/clients/inst_autosetup.rb 
new/autoyast2-3.1.129/src/clients/inst_autosetup.rb
--- old/autoyast2-3.1.128/src/clients/inst_autosetup.rb 2016-05-20 
11:01:09.0 +0200
+++ new/autoyast2-3.1.129/src/clients/inst_autosetup.rb 2016-05-31 
11:11:33.0 +0200
@@ -61,6 +61,7 @@
 _("Configure Software selections"),
 _("Configure Systemd Default Target"),
 _("Configure users and groups"),
+_("Import SSH keys/settings"),
 _("Confirm License")
   ]
 
@@ -74,6 +75,7 @@
 _("Configuring Software selections..."),
 _("Configuring Systemd Default Target..."),
 _("Importing users and groups configuration..."),
+_("Importing SSH keys/settings..."),
 _("Confirming License...")

commit findutils for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package findutils for openSUSE:Factory 
checked in at 2016-06-05 14:17:50

Comparing /work/SRC/openSUSE:Factory/findutils (Old)
 and  /work/SRC/openSUSE:Factory/.findutils.new (New)


Package is "findutils"

Changes:

--- /work/SRC/openSUSE:Factory/findutils/findutils.changes  2016-01-16 
11:55:41.0 +0100
+++ /work/SRC/openSUSE:Factory/.findutils.new/findutils.changes 2016-06-05 
14:17:51.0 +0200
@@ -1,0 +2,6 @@
+Tue May 31 00:01:05 UTC 2016 - m...@bernhard-voelker.de
+
+- sv-bug-48030-find-exec-plus-does-not-pass-all-arguments.patch:
+  Add upstream patch to fix https://savannah.gnu.org/bugs/?48030
+
+---

New:

  sv-bug-48030-find-exec-plus-does-not-pass-all-arguments.patch



Other differences:
--
++ findutils.spec ++
--- /var/tmp/diff_new_pack.CGBedl/_old  2016-06-05 14:17:52.0 +0200
+++ /var/tmp/diff_new_pack.CGBedl/_new  2016-06-05 14:17:52.0 +0200
@@ -34,6 +34,9 @@
 # adds a new option -xautofs to find to not descend into directories on autofs 
file systems
 Patch0: findutils-4.4.2-xautofs.patch
 
+# Upstream patch, to be removed with version 4.7.0.
+Patch100:   sv-bug-48030-find-exec-plus-does-not-pass-all-arguments.patch
+
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 # BuildRequire dejagnu for 'runtest' to execute all tests.
 BuildRequires:  dejagnu
@@ -63,6 +66,7 @@
 %prep
 %setup -q
 %patch0
+%patch100
 
 %build
 %if 0%{?qemu_user_space_build}
@@ -76,6 +80,13 @@
 make %{?_smp_mflags}
 
 %check
+if [ "%{version}" != '4.6.0' ]; then
+  echo "ERROR: remove this if-else-fi block from the spec file with findutils 
version >4.6.0." >&2
+  exit 1
+else
+  # Make the test script added with 'sv-48030*.patch' executable.
+  chmod +x find/testsuite/sv-48030-exec-plus-bug.sh
+fi
 make check \
   || { cat tests/test-suite.log; exit 1; }
 

++ sv-bug-48030-find-exec-plus-does-not-pass-all-arguments.patch ++
Upstream patch, to be removed with findutils-4.7.0

http://git.sv.gnu.org/cgit/findutils.git/commit/?id=8cdc9767e3

Differences to upstream patch:
- Fix conflict in NEWS
- Reference new test script in Makefile.in rather than in Makefile.am
  to avoid automake machinery.

--
>From d15e640fc76f8b931549f79f2edc86d5e552e8bf Mon Sep 17 00:00:00 2001
From: Bernhard Voelker 
Date: Tue, 31 May 2016 00:31:50 +0200
Subject: [PATCH] Fix bug #48030: find: -exec + does not pass all arguments in
 certain cases

When the -exec arguments buffer (usually 128k) is full and the given
command has been executed with all that arguments, find(1) missed to
execute the command yet another time if only 1 another file would have
to be processed.
Both find(1), i.e., nowadays FTS-version, and oldfind are affected.
This bug was present since the implementation of '-exec +' in 2005,
see commit FINDUTILS_4_2_11-1-25-gf0a6ac6.

* lib/buildcmd.c (bc_push_arg): Move the assignment to set 'state->todo'
to 1 down after the immediate execution which resets that flag.
* find/testsuite/sv-48030-exec-plus-bug.sh: Add a test.
* find/testsuite/Makefile.in (test_shell_progs): Reference the test.
* NEWS (Bug Fixes): Mention the fix.

Reported by Joe Philip Ninan  in
https://savannah.gnu.org/bugs/?48030
---
 NEWS |   12 ++
 find/testsuite/Makefile.am   |3 
 find/testsuite/sv-48030-exec-plus-bug.sh |  143 +++
 lib/buildcmd.c   |   10 +-
 4 files changed, 162 insertions(+), 6 deletions(-)
 create mode 100755 find/testsuite/sv-48030-exec-plus-bug.sh

Index: NEWS
===
--- NEWS.orig
+++ NEWS
@@ -1,5 +1,17 @@
 GNU findutils NEWS - User visible changes.  -*- outline -*- (allout)
 
+* openSUSE downstream changes
+
+** Bug Fixes
+
+Savannah bug
+#48030: find -exec + does not pass all arguments for certain specific filename
+lengths.  After the internal (usually 128k) buffer is full and find(1)
+executed the given command with these arguments, it would miss to run
+the command yet another time if only one other file argument has to be
+processed.  Bug introduced in FINDUTILS-4.2.12.
+
+
 * Major changes in release 4.6.0, 2015-12-28
 
 ** Stable Release
Index: find/testsuite/sv-48030-exec-plus-bug.sh
===
--- /dev/null
+++ find/testsuite/sv-48030-exec-plus-bug.sh
@@ -0,0 +1,143 @@
+#! /bin/sh
+# Copyright (C) 2016 Free Software Foundation, Inc.
+#
+# This 

commit rpm for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package rpm for openSUSE:Factory checked in 
at 2016-06-05 14:17:43

Comparing /work/SRC/openSUSE:Factory/rpm (Old)
 and  /work/SRC/openSUSE:Factory/.rpm.new (New)


Package is "rpm"

Changes:

rpm-python.changes: same change
--- /work/SRC/openSUSE:Factory/rpm/rpm.changes  2016-05-26 23:52:39.0 
+0200
+++ /work/SRC/openSUSE:Factory/.rpm.new/rpm.changes 2016-06-05 
14:17:44.0 +0200
@@ -1,0 +2,6 @@
+Tue May 31 13:58:28 CEST 2016 - m...@suse.de
+
+- add is_opensuse and leap_version macros to suse_macros
+  [bnc#940315]
+
+---



Other differences:
--
rpm-python.spec: same change
++ rpm.spec ++
--- /var/tmp/diff_new_pack.ropb3e/_old  2016-06-05 14:17:46.0 +0200
+++ /var/tmp/diff_new_pack.ropb3e/_new  2016-06-05 14:17:46.0 +0200
@@ -203,7 +203,7 @@
 
 %description build
 If you want to build a rpm, you need this package. It provides rpmbuild
-and requires some packages that are usually required 
+and requires some packages that are usually required.
 
 %prep
 %setup -q -n rpm-%{version}
@@ -246,6 +246,10 @@
 sed -e 's/@suse_version@/%{?suse_version}%{!?suse_version:0}/' \
 -e 's/@sles_version@/%{?sles_version}%{!?sles_version:0}/' \
 -e 's/@ul_version@/%{?ul_version}%{!?ul_version:0}/' \
+-e '/@is_opensuse@%{?is_opensuse:nomatch}/d' \
+-e 's/@is_opensuse@/%{?is_opensuse}%{!?is_opensuse:0}/' \
+-e '/@leap_version@%{?leap_version:nomatch}/d' \
+-e 's/@leap_version@/%{?leap_version}%{!?leap_version:0}/' \
   < %{SOURCE4} > suse_macros
 rm -f m4/libtool.m4
 rm -f m4/lt*.m4

++ rpm-suse_macros ++
--- /var/tmp/diff_new_pack.ropb3e/_old  2016-06-05 14:17:46.0 +0200
+++ /var/tmp/diff_new_pack.ropb3e/_new  2016-06-05 14:17:46.0 +0200
@@ -236,6 +236,8 @@
 %suse_version @suse_version@
 %sles_version @sles_version@
 %ul_version @ul_version@
+%is_opensuse @is_opensuse@
+%leap_version @leap_version@
 
 %do_profiling 1
 %cflags_profile_generate -fprofile-generate




commit libsolv for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package libsolv for openSUSE:Factory checked 
in at 2016-06-05 14:17:21

Comparing /work/SRC/openSUSE:Factory/libsolv (Old)
 and  /work/SRC/openSUSE:Factory/.libsolv.new (New)


Package is "libsolv"

Changes:

--- /work/SRC/openSUSE:Factory/libsolv/libsolv.changes  2016-04-30 
23:29:01.0 +0200
+++ /work/SRC/openSUSE:Factory/.libsolv.new/libsolv.changes 2016-06-05 
14:17:22.0 +0200
@@ -1,0 +2,15 @@
+Wed May 18 15:09:56 CEST 2016 - m...@suse.de
+
+- add pool->setdisttype to the bindings
+- fix error in repo_deb that could lead to missing packages
+- add reason testing to testcase code
+- add pool_whatcontainsdep, selection_make_matchdepid, and
+  SELECTION_MATCH_DEPSTR
+- add SOLVER_FAVOR and SOLVER_DISFAVOR job types
+- allow unknown archs in pool_setarch
+- add the SOLVER_FLAG_URPM_REORDER solver flag
+- fix segfault in cshash dedup code [bnc#980901]
+- fix supplements handling when implicitobsoleteusescolors is set
+- bump version to 0.6.21
+
+---

Old:

  libsolv-0.6.20.tar.bz2

New:

  libsolv-0.6.21.tar.bz2



Other differences:
--
++ libsolv.spec ++
--- /var/tmp/diff_new_pack.Uxuod3/_old  2016-06-05 14:17:23.0 +0200
+++ /var/tmp/diff_new_pack.Uxuod3/_new  2016-06-05 14:17:23.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   libsolv
-Version:0.6.20
+Version:0.6.21
 Release:0
 Url:https://github.com/openSUSE/libsolv
 Source: libsolv-%{version}.tar.bz2

++ libsolv-0.6.20.tar.bz2 -> libsolv-0.6.21.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libsolv-0.6.20/CMakeLists.txt 
new/libsolv-0.6.21/CMakeLists.txt
--- old/libsolv-0.6.20/CMakeLists.txt   2016-02-11 17:01:33.0 +0100
+++ new/libsolv-0.6.21/CMakeLists.txt   2016-05-18 15:01:17.0 +0200
@@ -57,10 +57,10 @@
 ENDIF (DEFINED  INCLUDE)
 MESSAGE (STATUS "Header files will be installed in ${INCLUDE_INSTALL_DIR}")
 SET (BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
-SET (MAN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/man")
-IF (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/share/man"  AND NOT IS_DIRECTORY 
"${CMAKE_INSTALL_PREFIX}/man")
-  SET (MAN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/man")
-ENDIF (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/share/man"  AND NOT IS_DIRECTORY 
"${CMAKE_INSTALL_PREFIX}/man")
+SET (MAN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/man")
+IF (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/man"  AND NOT IS_DIRECTORY 
"${CMAKE_INSTALL_PREFIX}/share/man")
+  SET (MAN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/man")
+ENDIF (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/man"  AND NOT IS_DIRECTORY 
"${CMAKE_INSTALL_PREFIX}/share/man")
 MESSAGE(STATUS "Man pages will be installed in ${MAN_INSTALL_DIR}")
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libsolv-0.6.20/VERSION.cmake 
new/libsolv-0.6.21/VERSION.cmake
--- old/libsolv-0.6.20/VERSION.cmake2016-04-08 15:50:47.0 +0200
+++ new/libsolv-0.6.21/VERSION.cmake2016-05-18 15:16:10.0 +0200
@@ -49,5 +49,5 @@
 
 SET(LIBSOLV_MAJOR "0")
 SET(LIBSOLV_MINOR "6")
-SET(LIBSOLV_PATCH "20")
+SET(LIBSOLV_PATCH "21")
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libsolv-0.6.20/bindings/solv.i 
new/libsolv-0.6.21/bindings/solv.i
--- old/libsolv-0.6.20/bindings/solv.i  2016-04-21 12:11:30.0 +0200
+++ new/libsolv-0.6.21/bindings/solv.i  2016-05-03 16:26:06.0 +0200
@@ -1172,6 +1172,8 @@
   static const Id SOLVER_DROP_ORPHANED = SOLVER_DROP_ORPHANED;
   static const Id SOLVER_USERINSTALLED = SOLVER_USERINSTALLED;
   static const Id SOLVER_ALLOWUNINSTALL = SOLVER_ALLOWUNINSTALL;
+  static const Id SOLVER_FAVOR = SOLVER_FAVOR;
+  static const Id SOLVER_DISFAVOR = SOLVER_DISFAVOR;
   static const Id SOLVER_JOBMASK = SOLVER_JOBMASK;
   static const Id SOLVER_WEAK = SOLVER_WEAK;
   static const Id SOLVER_ESSENTIAL = SOLVER_ESSENTIAL;
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libsolv-0.6.20/doc/libsolv-bindings.3 
new/libsolv-0.6.21/doc/libsolv-bindings.3
--- old/libsolv-0.6.20/doc/libsolv-bindings.3   2016-02-11 17:01:33.0 
+0100
+++ new/libsolv-0.6.21/doc/libsolv-bindings.3   2016-05-03 16:26:06.0 
+0200
@@ -1,13 +1,13 @@
 '\" t
 .\" Title: Libsolv-Bindings
 .\"Author: [see the "Author" section]
-.\" Generator: DocBook XSL Stylesheets v1.78.0 
-.\"  Date: 12/14/2015
+.\" Generator: DocBook XSL Stylesheets v1.78.1 

commit glibc for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package glibc for openSUSE:Factory checked 
in at 2016-06-05 14:17:28

Comparing /work/SRC/openSUSE:Factory/glibc (Old)
 and  /work/SRC/openSUSE:Factory/.glibc.new (New)


Package is "glibc"

Changes:

--- /work/SRC/openSUSE:Factory/glibc/glibc-testsuite.changes2016-05-19 
12:02:38.0 +0200
+++ /work/SRC/openSUSE:Factory/.glibc.new/glibc-testsuite.changes   
2016-06-05 14:17:30.0 +0200
@@ -1,0 +2,6 @@
+Mon May 30 08:23:03 UTC 2016 - sch...@suse.de
+
+- clntudp-call-alloca.patch: do not use alloca in clntudp_call
+  (CVE-2016-4429, bsc#980854, BZ #20112)
+
+---
glibc-utils.changes: same change
glibc.changes: same change

New:

  clntudp-call-alloca.patch



Other differences:
--
++ glibc-testsuite.spec ++
--- /var/tmp/diff_new_pack.4ZvhYu/_old  2016-06-05 14:17:32.0 +0200
+++ /var/tmp/diff_new_pack.4ZvhYu/_new  2016-06-05 14:17:32.0 +0200
@@ -306,6 +306,8 @@
 Patch1053:  0054-Revert-Report-dlsym-dlvsym-lookup-errors-using-dlerr.patch
 Patch1054:  0055-CVE-2016-3706-getaddrinfo-stack-overflow-in-hostent-.patch
 Patch1055:  0056-Fix-strfmon_l-Use-specified-locale-for-number-format.patch
+# PATCH-FIX-UPSTREAM sunrpc: Do not use alloca in clntudp_call (CVE-2016-4429, 
BZ #20112)
+Patch1056:  clntudp-call-alloca.patch
 
 ### 
 # Patches awaiting upstream approval
@@ -584,6 +586,7 @@
 %patch1053 -p1
 %patch1054 -p1
 %patch1055 -p1
+%patch1056 -p1
 
 %patch2000 -p1
 %patch2001 -p1

glibc-utils.spec: same change
glibc.spec: same change

++ clntudp-call-alloca.patch ++
2016-05-23  Florian Weimer  

CVE-2016-4429
[BZ #20112]
* sunrpc/clnt_udp.c (clntudp_call): Use malloc/free for the error
payload.

Index: glibc-2.23/sunrpc/clnt_udp.c
===
--- glibc-2.23.orig/sunrpc/clnt_udp.c
+++ glibc-2.23/sunrpc/clnt_udp.c
@@ -391,9 +391,15 @@ send_again:
  struct sock_extended_err *e;
  struct sockaddr_in err_addr;
  struct iovec iov;
- char *cbuf = (char *) alloca (outlen + 256);
+ char *cbuf = malloc (outlen + 256);
  int ret;
 
+ if (cbuf == NULL)
+   {
+ cu->cu_error.re_errno = errno;
+ return (cu->cu_error.re_status = RPC_CANTRECV);
+   }
+
  iov.iov_base = cbuf + 256;
  iov.iov_len = outlen;
  msg.msg_name = (void *) _addr;
@@ -418,10 +424,12 @@ send_again:
 cmsg = CMSG_NXTHDR (, cmsg))
  if (cmsg->cmsg_level == SOL_IP && cmsg->cmsg_type == IP_RECVERR)
{
+ free (cbuf);
  e = (struct sock_extended_err *) CMSG_DATA(cmsg);
  cu->cu_error.re_errno = e->ee_errno;
  return (cu->cu_error.re_status = RPC_CANTRECV);
}
+ free (cbuf);
}
 #endif
   do





commit dpkg for openSUSE:Factory

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package dpkg for openSUSE:Factory checked in 
at 2016-06-05 14:17:36

Comparing /work/SRC/openSUSE:Factory/dpkg (Old)
 and  /work/SRC/openSUSE:Factory/.dpkg.new (New)


Package is "dpkg"

Changes:

--- /work/SRC/openSUSE:Factory/dpkg/dpkg.changes2016-05-24 
09:33:27.0 +0200
+++ /work/SRC/openSUSE:Factory/.dpkg.new/dpkg.changes   2016-06-05 
14:17:37.0 +0200
@@ -1,0 +2,5 @@
+Tue May 31 11:48:19 UTC 2016 - tchva...@suse.com
+
+- Require touch in post phase bnc#982336
+
+---
--- /work/SRC/openSUSE:Factory/dpkg/update-alternatives.changes 2016-05-24 
09:33:27.0 +0200
+++ /work/SRC/openSUSE:Factory/.dpkg.new/update-alternatives.changes
2016-06-05 14:17:37.0 +0200
@@ -1,0 +2,5 @@
+Tue May 31 11:47:57 UTC 2016 - tchva...@suse.com
+
+- Require touch in post phase bnc#982336
+
+---



Other differences:
--
++ dpkg.spec ++
--- /var/tmp/diff_new_pack.1zteal/_old  2016-06-05 14:17:38.0 +0200
+++ /var/tmp/diff_new_pack.1zteal/_new  2016-06-05 14:17:38.0 +0200
@@ -47,7 +47,7 @@
 Requires:   perl = %{perl_version}
 Requires:   update-alternatives
 Requires:   perl(Date::Parse)
-Requires(pre):  /bin/touch
+Requires(post): coreutils
 Recommends: perl(File::FcntlLock)
 Provides:   deb = %{version}
 Obsoletes:  deb < %{version}

++ update-alternatives.spec ++
--- /var/tmp/diff_new_pack.1zteal/_old  2016-06-05 14:17:38.0 +0200
+++ /var/tmp/diff_new_pack.1zteal/_new  2016-06-05 14:17:38.0 +0200
@@ -34,6 +34,7 @@
 BuildRequires:  xz
 Provides:   alternatives = %{version}
 Requires(post): update-alternatives
+Requires(post): coreutils
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description




commit chromium for openSUSE:13.2:Update

2016-06-05 Thread h_root
Hello community,

here is the log from the commit of package chromium for openSUSE:13.2:Update 
checked in at 2016-06-05 13:05:00

Comparing /work/SRC/openSUSE:13.2:Update/chromium (Old)
 and  /work/SRC/openSUSE:13.2:Update/.chromium.new (New)


Package is "chromium"

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.dCLzUk/_old  2016-06-05 13:05:07.0 +0200
+++ /var/tmp/diff_new_pack.dCLzUk/_new  2016-06-05 13:05:07.0 +0200
@@ -1 +1 @@
-
+